<?php defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
$api_test    = whcom_api_test();
$helper_test = whcom_helper_test();
?>


<div class="wrap about-wrap whcom_admin_page">
	<h1><?php echo esc_html_x("WHMCS Cart & Order Pages - WCOP","admin","whcom");?></h1>

	<div class="about-text">
		<?php echo esc_html_x( 'WCOP has beautifully designed order pages, which are feature-rich, user-friendly and functional. Users will not link to WHMCS anymore, and whole order process will complete on WordPress site including user login/ registration if needed.',"admin", "whcom" ) ?>
		<?php echo esc_html_x( 'lets give your site visitors a better checkout experience and convert more customers.',"admin", "whcom" ) ?>
	</div>
	<div id="wcop_admin_logo" class="wp-badge">
        <?php echo esc_html_x("Version","admin","whcom")?> <?php echo WCOP_VERSION; ?>
	</div>


	<div class="whcom_admin_page_content">
		<p>
			<a href="https://codecanyon.net/item/whmpress-whmcs-wordpress-integration-plugin/9946066"
			   class="button button-primary" target="_blank">
				<span class="whcom_icon_star-1"></span><?php esc_html_x("Rate Us","admin","whcom") ?>
			</a>
		</p>
		<div class="whcom_row" style="max-width: 992px;">
			<div class="whcom_col_sm_6">
				<?php if ( $api_test ) { ?>
					<div class="whcom_panel whcom_panel_success whcom_panel_fancy_2">
						<div class="whcom_panel_header whcom_has_icon">
							<i class="whcom_icon_smile"></i>
							<span><?php echo esc_html_x( 'WHMPress API Configuration',"admin", "whcom" ) ?></span>
						</div>
						<div class="whcom_panel_body panel_body_has_list">
							<div class="whcom_alert whcom_alert_success">
								<h4><?php echo esc_html_x( 'All Good!',"admin", "whcom" ) ?></h4>
								<p><?php echo esc_html_x( 'You have successfully connected with your WHMCS API',"admin","whcom" ) ?></p>
							</div>
						</div>
					</div>
				<?php }
				else { ?>
					<div class="whcom_panel whcom_panel_danger whcom_panel_fancy_2">
						<div class="whcom_panel_header whcom_has_icon">
							<i class="whcom_icon_smile"></i>
							<span><?php echo esc_html_x( 'WHMPress API Configuration',"admin", "whcom" ) ?></span>
						</div>
						<div class="whcom_panel_body panel_body_has_list">
							<div class="whcom_alert whcom_alert_danger">
								<h4><?php echo esc_html_x( 'Kindly Check!',"admin", "whcom" ) ?></h4>
								<?php echo esc_html_x( 'Either you have not entered all information or your WHMCS API can\'t be accessed using below credentials.', 'whcom' ) ?>
							</div>
							<div class="whcom_alert whcom_text_center_xs">
								<a href="<?php echo admin_url(); ?>admin.php?page=whcom-settings" class="button button-primary"><?php echo esc_html_x( 'Go to Settings', "admin","whcom" ) ?></a>
							</div>
						</div>
					</div>
				<?php } ?>
			</div>
			<div class="whcom_col_sm_6">
				<?php if ( $api_test ) { ?>
					<?php if ( $helper_test ) { ?>
						<div class="whcom_panel whcom_panel_success whcom_panel_fancy_2">
							<div class="whcom_panel_header whcom_has_icon">
								<i class="whcom_icon_smile"></i>
								<span><?php echo esc_html_x( 'WHMPress Helper Configuration',"admin", "whcom" ) ?></span>
							</div>
							<div class="whcom_panel_body panel_body_has_list">
								<div class="whcom_alert whcom_alert_success" style="margin-bottom: 0;">
									<h4><?php echo esc_html_x( 'All Good!',"admin", 'whcom' ) ?></h4>
									<p><?php echo esc_html_x( 'You have successfully installed and activated WHMPress helper in WHMCS addon modules', "admin",'whcom' ) ?></p>
								</div>
							</div>
						</div>
					<?php }
					else { ?>
						<div class="whcom_panel whcom_panel_danger whcom_panel_fancy_2">
							<div class="whcom_panel_header whcom_has_icon">
								<i class="whcom_icon_smile"></i>
								<span><?php echo esc_html_x( 'WHMPress Helper Configuration',"admin", "whcom" ) ?></span>
							</div>
							<div class="whcom_panel_body panel_body_has_list">
								<div class="whcom_alert whcom_alert_danger" style="margin-bottom: 0;">
									<h4><?php echo esc_html_x( 'Kindly Check!',"admin", "whcom" ) ?></h4>
									<p><?php echo esc_html_x( 'WHMPress helper is not installed/active in WHMCS addon modules',"admin", "whcom" ) ?></p>
								</div>
								<div class="whcom_alert whcom_text_center_xs">
									<a href="<?php echo admin_url(); ?>admin.php?page=whcom-settings" class="button button-primary"><?php echo esc_html_x( 'Go to Settings',"admin", "whcom" ) ?></a>
								</div>
							</div>
						</div>
					<?php } ?>
				<?php }
				else { ?>
					<div class="whcom_panel whcom_panel_info whcom_panel_fancy_2">
						<div class="whcom_panel_header whcom_has_icon">
							<i class="whcom_icon_smile"></i>
							<span><?php echo esc_html_x( 'WHMPress Helper Configuration',"admin", "whcom" ) ?></span>
						</div>
						<div class="whcom_panel_body panel_body_has_list">
							<div class="whcom_alert whcom_alert_info">
								<h4><?php echo esc_html_x( 'Kindly Check!',"admin", "whcom" ) ?></h4>
								<p><?php echo esc_html_x( 'Kindly configure whmcs settings first by clicking on below button to check if helper is all good or not',"admin", "whcom" ) ?></p>
							</div>
							<div class="whcom_alert whcom_text_center_xs">
								<a href="" class="button button-primary"><?php echo esc_html_x( 'Go to Settings',"admin", "whcom" ) ?></a>
							</div>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
		<div class="whcom_row" style="max-width: 992px">
			<div class="whcom_col_sm_6">
				<div class="whcom_panel">
					<div class="whcom_panel_header whcom_panel_header_white">
						<strong><?php echo esc_html_x("Online Support","admin","whcom") ?></strong>
					</div>
					<div class="whcom_panel_body panel_body_has_list">
						<ul class="whcom_feature_list">
							<li class="whcom_has_icon">
								<span class="whcom_icon_book"></span>
								<strong><?php echo esc_html_x("Online Documentation","admin","whcom") ?></strong><br>
								<span>
                                    <?php
                                    $links="<a href='http://docs.whmpress.com/whmcs-cart-order-pages/' target='_blank'>";
                                    $linke="</a>";
                                    echo sprintf( esc_html_x('Here is a %1$s Step by Step Guide %2$s for first time setup.',"admin","whcom"), $links,$linke );
                                     ?></span>
							</li>
							<li class="whcom_has_icon">
								<span class="whcom_icon_th-list"></span>
								<strong><?php echo esc_html_x("Browse FAQ's","admin","whcom") ?></strong><br>
								<span><?php echo esc_html_x("Instant solutions for most common issues","admin","whcom")?></span>
							</li>
							<li class="whcom_has_icon">
								<span class="whcom_icon_users"></span>
								<strong><?php echo esc_html_x("Ticket Support","admin","whcom") ?></strong><br>
								<span><?php echo esc_html_x("Direct help from our qualified support team","admin","whcom") ?></span>
							</li>
							<li class="whcom_text_center_xs">
								<a href="http://support.whmpress.com/" target="_blank" class="button button-primary">
                                    <?php echo esc_html_x("Open Support Ticket","admin","whcom") ?></a>
							</li>
						</ul>
					</div>
				</div>
			</div>
			<div class="whcom_col_sm_6">
				<div class="whcom_panel">
					<div class="whcom_panel_header whcom_panel_header_white">
						<strong><?php echo esc_html_x("Stay Updated","admin","whcom") ?>x</strong>
					</div>
					<div class="whcom_panel_body panel_body_has_list">
						<ul class="whcom_feature_list">
							<li class="whcom_has_icon">
								<span class="whcom_icon_megaphone"></span>
								<strong><?php echo esc_html_x("Stay Updated","admin","whcom") ?></strong><br>
								<span><?php echo esc_html_x("Receive info on the latest product updates & products","admin","whcom") ?></span>
							</li>
							<li class="whcom_has_icon">
								<span class="whcom_icon_gift"></span>
								<strong><?php echo esc_html_x("Free Goodies","admin","whcom") ?></strong><br>
								<span><?php echo esc_html_x("Learn about free stuff we offer on a regular basis","admin","whcom") ?></span>
							</li>
							<li class="whcom_has_icon">
								<span class="whcom_icon_smile"></span>
								<strong><?php echo esc_html_x("Provide Feedback","admin","whcom") ?></strong><br>
								<span><?php echo esc_html_x("Participate in survey and help us improve constantly","admin","whcom") ?></span>
							</li>
							<li class="whcom_text_center_xs">
								<a href="https://whmpress.com/contact/news-letter/" target="_blank" class="button button-primary"><?php echo esc_html_x("Subscribe","admin","whcom") ?></a>
							</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div style="clear: both"></div>
</div>

