/**
 * Main Script files for wcop plugin
 */

var whcom_spinner_icon = '<i class="whcom_icon_spinner-1 whcom_animate_spin"></i> ' + whcom_ajax.whcom_working_text;
var whcom_spinner_block = '<div class="whcom_text_center_xs"><i class="whcom_icon_spinner-1 whcom_animate_spin"></i> ' + whcom_ajax.whcom_loading_text + '</div>';

(
	function ( $ ) {

		// Main Repopulating Handler for Product and Domain Configuration pages
		$( document ).on( 'change', '.wcop_main input, .wcop_main select', function () {
			var input = $( this );
			if ( input.hasClass( 'wcop_input' ) ) {
				wcop_update_product_summary();
				wcop_sp_update_product_summary();
			}
			if ( input.hasClass( 'wcop_update_product_options' ) ) {
				wcop_update_product_options();
			}
			if ( input.hasClass( 'wcop_update_cart_summaries' ) ) {
				wcop_update_cart_summaries();
			}
			if ( input.hasClass( 'whcom_addon_input' ) ) {
				if ( input.prop( 'checked' ) ) {
					input.parents( '.whcom_op_addon_container' ).find( '.whcom_addon_add_button' ).hide();
					input.parents( '.whcom_op_addon_container' ).find( '.whcom_addon_remove_button' ).show();
				}
				else {
					input.parents( '.whcom_op_addon_container' ).find( '.whcom_addon_add_button' ).show();
					input.parents( '.whcom_op_addon_container' ).find( '.whcom_addon_remove_button' ).hide();
				}
			}
		} );

		// Document Ready functions
		$( document ).on( 'ready', function () {
			$( '.wcop_submit_on_load' ).submit();
			wcop_update_cart_summaries();
			wcop_update_product_summary();
			wcop_sp_update_product_summary();
		} );


		// Domain only related functions
		// Check Domain
		$( document ).on( 'submit', '.wcop_check_domain', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var submit = form.find( 'button[type="submit"]' );
			var submit_html = submit.html();
			var response_text = $( '.wcop_domain_action_response_text' );
			var response_form = $( '.wcop_domain_action_response_form' );

			var data = $( this ).serializeArray();

			submit.html( whcom_spinner_icon );
			response_text.empty().hide();
			response_form.empty().hide();

			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.html( submit_html );
					response_text.html( res.message ).slideDown( 500 );
					if ( res.status === "OK" ) {
						response_form.html( res.response_form ).slideDown( 500 );
					}
				}
			} );
		} );
		// Select Domain action
		$( document ).on( 'submit', '.wcop_domain_action_select', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var submit = form.find( 'button[type="submit"]' );
			var submit_html = submit.html();
			var response_text = $( '.wcop_domain_action_response_text' );
			var response_form = $( '.wcop_domain_action_response_form' );

			var data = $( this ).serializeArray();
			submit.html( whcom_spinner_icon );

			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					response_text.empty().hide();
					response_form.empty().hide();
					submit.html( submit_html );
					response_text.html( res.message ).slideDown( 500 );
					if ( res.status === "OK" ) {
						$( '.wcop_domain_search' ).slideUp( 500 ).empty();
						response_form.html( res.response_form ).slideDown( 500 );
					}
				}
			} );
		} );
		// Add Domain to local cart Form
		$( document ).on( 'submit', '.wcop_add_domain_to_cart', function ( e ) {
			e.preventDefault();
			var $form = $( this );
			var response_field = $form.find( '.wcop_domain_config_response_text' );
			var redirect_url = $form.find( 'input[name="landing_page"]' ).val();


			var data = $( this ).serializeArray();
			response_field.show();
			response_field.html( whcom_spinner_icon );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					response_field.text( res.message );
					if ( res.status === "OK" ) {
						window.location.href = redirect_url;
					}
					response_field.removeClass( 'alert-info' );
				}
			} );
		} );


		// Product related functions
		// Select Product Domain Option
		$( document ).on( 'change', 'input[name="wcop_product_domain_option_selector"]', function () {
			$( '.whcom_product_domain_option_form' ).hide();
			$( '#' + $( this ).val() ).show();
		} );
		// Check Product Domain
		$( document ).on( 'submit', '.wcop_check_product_domain', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var response_container = $( '.wcop_domain_response' );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.html();

			var data = $( this ).serializeArray();

			if ( form.hasClass( 'domain_already_in_cart' ) ) {
				var tld = form.find( 'select[name="domain"] :selected' ).data( 'domain-tld' );
				var domain_type = form.find( 'select[name="domain"] :selected' ).data( 'domain-type' );
				var cart_index = form.find( 'select[name="domain"] :selected' ).data( 'cart-index' );
				data.push( {'name': 'ext', 'value': tld} );
				data.push( {'name': 'cart_index', 'value': cart_index} );
				data.push( {'name': 'domaintype', 'value': domain_type} );
			}
			submit.html( whcom_spinner_icon );
			response_container.html( whcom_spinner_block );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.html( submit_val );
					if ( res.status === "OK" ) {
						response_container.html( res.domain_attachment_form );
						if ( res.domaintype === 'existing' ) {
							$( '.wcop_attach_product_domain' ).submit();
						}
						if ( form.hasClass( 'domain_already_in_cart' ) ) {
							$( '.wcop_attach_product_domain' ).submit();
						}
					}
					else {
						response_container.html( res.message );
					}
				}
			} );
		} );
		// Attach Product Domain
		$( document ).on( 'submit', '.wcop_attach_product_domain', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var product_container = $( '.wcop_product_container' );
			var product_domain_container = $( '.wcop_domain_container' );
			var domain_options_container = $( '.wcop_product_domain_config_container' );
			var domain_free_tlds_info = $( '.wcop_free_tlds' );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.html();

			var data = $( this ).serializeArray();
			submit.html( whcom_spinner_icon );
			domain_options_container.slideUp( 300 ).html( '' );
			domain_free_tlds_info.hide();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.html( submit_val );
					if ( res.status === "OK" ) {
						if (res.domaintype === 'existing') {
							$('.wcop_product_domain_config_block').hide();
						}
						domain_options_container.html( res.domain_config_form );
						product_container.slideDown( 500 );
						domain_free_tlds_info.show();
						domain_options_container.show();
						product_domain_container.html( res.message ).fadeOut( 2000 );
						$(document).trigger('scroll');
						wcop_update_product_summary();
					}
					else {
						form.html( res.message );
						window.location.reload();
					}
				}
			} );
		} );
		// Add Product to local cart Form
		$( document ).on( 'submit', '.wcop_add_product', function ( e ) {
			e.preventDefault();
			var $form = $( this );
			var response_field = $form.find( '.wcop_response' );
			var submit_field = $form.find( '.wcop_product_submit' );
			var redirect_url = $form.find( 'input[name="landing_page"]' ).val();


			var data = $( this ).serializeArray();
			response_field.show();
			response_field.html( whcom_spinner_icon );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					response_field.text( res.message );
					if ( res.status === "OK" ) {
						submit_field.find( 'button' ).text( 'Redirecting...' );
						if ( redirect_url !== undefined ) {
							window.location.href = redirect_url;
						}
					}
					else {

					}
					response_field.removeClass( 'alert-info' );
				}
			} );
		} );


		// Client related functions
		// Login Form
		$( document ).on( 'click', '.wcop_sp_nav > ul > li', function ( e ) {
			$( this ).addClass( 'active' ).siblings( 'li' ).removeClass( 'active' );
		} );
		$( window ).on( 'scroll', function () {
			var scrollPos = $( document ).scrollTop();
			$( '.wcop_sp_nav a.whcom_smooth_scroll' ).each( function () {
				var currLink = $( this );
				var refElement = $( currLink.attr( "href" ) );
				var topGap = $( '.wcop_sp_nav' ).data( 'scroll-top-gap' ) || 20;
				var elemPositionTop = refElement.position().top;
				var elemPositionBottom = refElement.position().top + parseInt( refElement.outerHeight( true ) ) - topGap;

				if ( elemPositionTop <= scrollPos && elemPositionBottom > scrollPos ) {
					currLink.closest( 'li' ).trigger( "click" );
				}
			} );
		} );
		$( document ).on( 'submit', '.wcop_login_form', function ( e ) {
			e.preventDefault();
			var $form = $( this );
			var response_field = $form.find( '.wcop_response' );


			var data = $( this ).serializeArray();
			response_field.show();
			response_field.html( whcom_spinner_icon );
			response_field.addClass( 'alert-info' );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					response_field.text( res.message );
					response_field.removeClass( 'alert-info' );
					if ( res.status === 'OK' ) {
						$( '.whcom_login_register_response_container' ).submit();
					}
				}
			} );
		} );
		// Logout Form
		$( document ).on( 'submit', '.wcop_logout_form', function ( e ) {
			e.preventDefault();
			var data = $( this ).serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );

					if ( res.status === 'OK' ) {
						window.location.reload();
					}
				}
			} );
		} );
		// Registration Form
		$( document ).on( 'submit', '.wcop_registration_form', function ( e ) {
			e.preventDefault();
			var $form = $( this );
			var response_field = $form.find( '.wcop_response' );


			var data = $( this ).serializeArray();
			response_field.html( whcom_spinner_icon ).show().removeClass('whcom_alert whcom_alert_success whcom_alert_danger');

			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					response_field.html( res.message );
					if ( res.status === "OK" ) {
						$( '.whcom_login_register_response_container' ).submit();
						response_field.addClass( 'whcom_alert whcom_alert_success' );
					}
					else {
						response_field.addClass( 'whcom_alert whcom_alert_danger' );
					}
				}
			} );
		} );

		// Cart related functions
		// Delete cart item
		$( document ).on( 'click', '.whcom_delete_cart_item_form', function ( e ) {
			e.preventDefault();

			var confirm_delete = confirm( 'Are you sure you want to remove this item from cart?' );

			if ( ! confirm_delete ) {
				return;
			}

			var button = $( this );


			var data = {};
			data.action = "wcop_delete_cart_item";
			data.cart_index = button.data( 'cart-index' );

			button.html( whcom_spinner_icon );

			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						wcop_update_cart_summaries();
					}
					else {
						alert( res.message );
						//window.location.reload();
					}
				}
			} );
		} );
		// Empty Cart
		$( document ).on( 'submit', '.wcop_reset_cart_form', function ( e ) {
			e.preventDefault();
			var $form = $( this );
			var response_field = $form.find( '.wcop_response' );
			var confirm_string = $form.find( 'input[name="confirm_string"]' ).val();
			var confirm = window.confirm( confirm_string );
			if ( confirm === true ) {
				var data = $( this ).serializeArray();
				response_field.show();
				response_field.html( whcom_spinner_icon );
				response_field.addClass( 'alert-info' );
				jQuery.ajax( {
					url: wcop_ajax.ajax_url,
					type: 'post',
					data: data,
					success: function ( response ) {
						var res = JSON.parse( response );
						response_field.text( res.message );
						if ( res.status === "OK" ) {
							window.location.reload();
						}
					}
				} );
			}
		} );
		// Submit Order
		$( document ).on( 'submit', '.wcop_submit_order', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var response_text = form.find( '.wcop_response' );
			var response_form = $( '.whcom_checkout_form' );
			var submit_container = form.find( '.wcop_submit_container' );
			var submit = submit_container.find( 'button' );
			var submit_val = submit.html();


			var data = $( this ).serializeArray();
			submit.html( whcom_spinner_icon );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.html( submit_val );
					response_text.show();
					if ( res.status === "OK" ) {
						if ( res.show_cc === 'yes' ) {
							response_form.html( res.response_form );
						}
						else {
							$( '.whcom_page_heading' ).empty().removeClass( 'whcom_page_heading' ).addClass( 'whcom_margin_bottom_45' ).html(res.response_html);
							response_form.html( res.redirect_link ).addClass( 'whcom_text_center whcom_form_field' ).append( res.invoice_link );
							$( '.wcop_view_invoice_button' ).trigger( 'click' );
						}
					}
					else {
						response_text.text( res.message );
					}
				}
			} );
		} );
		// Capture Payment
		$( document ).on( 'submit', '.wcop_capture_invoice_payment', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.html();
			var response_text = form.find( '.wcop_response' );
			var response_form = $( '.whcom_checkout_form' );
			var data = $( this ).serializeArray();
			submit.html( whcom_spinner_icon );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.html( submit_val );
					if ( res.status === "OK" ) {
						response_form.html( res.response_html );
					}
					else {
						response_text.html( res.message );
					}
				}
			} );
		} );
		// Apply Promo Code
		$( document ).on( 'submit', '.wcop_apply_promo_code_form', function ( e ) {
			e.preventDefault();
			var $form = $( this );
			var response_field = $( '.wcop_promo_response' );
			response_field.slideUp().removeClass().addClass('wcop_promo_response whcom_alert');
			var data = $( this ).serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					response_field.text( res.message ).slideDown();
					if ( res.status === "OK" ) {
						response_field.addClass('whcom_alert_success');
						window.location.reload();
					}
					else {
						response_field.addClass('whcom_alert_info');
					}
				}
			} );
		} );
		// Remove Promo Code
		$( document ).on( 'submit', '.wcop_remove_promo_code_form', function ( e ) {
			e.preventDefault();
			var $form = $( this );
			var response_field = $( '.wcop_promo_response' );
			response_field.slideUp().removeClass().addClass('wcop_promo_response whcom_alert');
			var data = $( this ).serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					response_field.text( res.message ).slideDown();
					if ( res.status === "OK" ) {
						response_field.addClass('whcom_alert_success');
						window.location.reload();
					}
					else {
						response_field.addClass('whcom_alert_info');
					}
				}
			} );
		} );


		// Single Page order processing starts below
		// Check Product Domain
		$( document ).on( 'submit', '.wcop_sp_check_product_domain', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var response_container = $( '.wcop_sp_domain_response' );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.html();

			var data = $( this ).serializeArray();

			if ( form.hasClass( 'domain_already_in_cart' ) ) {
				var tld = form.find( 'select[name="domain"] :selected' ).data( 'domain-tld' );
				var domain_type = form.find( 'select[name="domain"] :selected' ).data( 'domain-type' );
				var cart_index = form.find( 'select[name="domain"] :selected' ).data( 'cart-index' );
				data.push( {'name': 'ext', 'value': tld} );
				data.push( {'name': 'cart_index', 'value': cart_index} );
				data.push( {'name': 'type', 'value': domain_type} );
			}
			submit.html( whcom_spinner_icon );
			response_container.html( whcom_spinner_block );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.html( submit_val );
					if ( res.status === "OK" ) {
						response_container.html( res.domain_attachment_form );
						if ( res.type === 'existing' ) {
							$( '.wcop_sp_attach_product_domain' ).submit();
						}
						if ( form.hasClass( 'domain_already_in_cart' ) ) {
							$( '.wcop_sp_attach_product_domain' ).submit();
						}
					}
					else {
						response_container.html( res.message );
					}
				}
			} );
		} );
		// Attach Product Domain
		$( document ).on( 'submit', '.wcop_sp_attach_product_domain', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var domain_options_container = $( '.wcop_sp_product_domain_config_container' );
			var domain_free_tlds_info = $( '.wcop_sp_free_tlds_info' );
			var submit = form.find( 'button[type="submit"]' );


			var data = $( this ).serializeArray();
			submit.html( whcom_spinner_icon );
			domain_options_container.slideUp( 300 ).html( '' );
			domain_free_tlds_info.hide();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						$( '.wcop_sp_product_domain_options' ).show();
						form.append( res.added_button );
						submit.hide();
						domain_options_container.html( res.domain_config_form ).show();
						domain_free_tlds_info.show();
						wcop_sp_update_product_summary();
					}
					else {
						$( '.wcop_sp_domain_response' ).html( res.message );
					}
				}
			} );
		} );
		// Select/Change Product
		$( document ).on( 'change', '#wcop_sp_product_select', function () {
			var options_spinner = $( '.wcop_sp_product_options_spinner' );
			var options_container = $( '.wcop_sp_product_options_container' );
			var billingcycle_container = $( '.wcop_sp_prod_billingcycle' );

			var data = {};
			data.action = "wcop_sp_process";
			data.wcop_sp_what = "change_product";
			data.pid = $( this ).val();

			options_spinner.show();
			billingcycle_container.html( whcom_spinner_block );

			$.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						options_spinner.hide();
						options_container.html( res.options_html );
						billingcycle_container.html( res.billingcycle_html );
						window.renderWhcomCollapse();
					}
					else {
						billingcycle_container.html( res.message );
					}
				}
			} );
		} );
		// Select/Change Product Billingcycle
		$( document ).on( 'change', '#wcop_sp_product_billingcycle', function () {
			var options_spinner = $( '.wcop_sp_product_options_spinner' );
			var options_container = $( '.wcop_sp_config_options_container' );

			var data = {};
			data.action = "wcop_sp_process";
			data.wcop_sp_what = "change_billingcycle";
			data.pid = $( 'select[name="pid"]' ).val();
			data.billingcycle = $( this ).val();

			options_spinner.show();

			$.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						options_spinner.hide();
						options_container.html( res.options_html );
					}
					else {
						billingcycle_container.html( res.message );
					}
				}
			} );
		} );
		// Add Product to local cart Form
		$( document ).on( 'submit', '.wcop_sp_add_product', function ( e ) {
			e.preventDefault();
			var $form = $( this );
			var response_field = $form.find( '.whcom_sp_order_response' );
			var response_div = $( '#wcop_sp_main' );

			var data = $( this ).serializeArray();
			response_field.show();
			response_field.html( whcom_spinner_icon );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					response_field.html( res.message );
					if ( res.status === "OK" ) {
						response_div.html( res.response_html );
						if ( res.show_cc === 'show_invoice' ) {
							$( '.wcop_view_invoice_button' ).trigger( 'click' );
						}

					}
					else {

					}
				}
			} );
		} );
		// Payment gateway switching,
		$( document ).on( 'change', '.whcom_sp_cc_switcher', function () {
			var checkbox = $( this );
			var cc_options_container = $( '.whcom_sp_cc_fields' );
			if ( checkbox.val() === checkbox.data( 'merchent-gateway' ) ) {
				cc_options_container.slideDown( 300 );
			}
			else {
				cc_options_container.slideUp( 300 );
			}
		} );
		// Client Type Switching,
		$( document ).on( 'whcomTabChanged', '.wcop_sp_client_type_switch', function () {
			var tab = $( this );
			var type_input = $( 'input[name="wcop_sp_client_type"]' );
			$( 'select[name="state"]' ).prop( 'required', false );
			$( 'input[name="state"]' ).prop( 'required', false );

			if ( tab.data( 'tab' ) === 'register_account' ) {
				type_input.val( 'register' );
			}
			else {
				type_input.val( 'login' );
			}
		} );


		// Domain first order processing starts below
		// TLD add/remove form (whmpress)
		$( document ).on( 'change', 'input[name="whcom_tld_add_remove"]', function ( e ) {
			e.preventDefault();

			var checkbox = $( this );
			var cart_index = checkbox.data( 'cart-index' );
			var checkbox_id = checkbox.prop( 'id' );
			var domain_action = (
				checkbox.prop( 'checked' )
			) ? 'add_item' : 'delete_item';

			var title_label = $( 'label[for="' + checkbox_id + '"].title_label' );

			var icon_label = $( 'label[for="' + checkbox_id + '"].label_icon' );
			var add_div = $( '#' + checkbox_id + '_add_sub' );
			var add_div_html = add_div.html();
			var remove_div = $( '#' + checkbox_id + '_remove_sub' );
			var remove_div_html = remove_div.html();


			checkbox.prop( "disabled", true );
			title_label.html( whcom_spinner_icon );
			icon_label.find( 'i' ).removeClass().addClass( 'whcom_icon_spinner-1 whcom_animate_spin' );
			remove_div.find( 'label > i' ).removeClass().addClass( 'whcom_icon_spinner-1 whcom_animate_spin' );
			add_div.find( 'label' ).html( whcom_spinner_icon );
			if ( domain_action === 'add_item' ) {
				remove_div.hide();
			}
			else {
				add_div.hide();
			}


			var data = {};
			data.action = "wcop_domain_first";
			data.cart_index = cart_index;
			data.wcop_what = "add_remove_domain";
			data.domain_action = domain_action;
			data.domain = checkbox.data( 'domain' );
			data.domain_type = checkbox.data( 'domain-type' );
			data.domain_price = checkbox.data( 'domain-price' );
			data.domain_duration = checkbox.data( 'domain-duration' );


			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					title_label.html( res.message );
					checkbox.prop( "disabled", false );


					remove_div.find( 'label > i' ).removeClass().addClass( 'whcom_icon_spinner-1 whcom_animate_spin' );
					add_div.html( add_div_html );
					remove_div.html( remove_div_html );

					if ( res.status === "OK" ) {
						checkbox.data( 'cart-index', res.cart_index );
						if ( domain_action === 'add_item' ) {
							icon_label.find( 'i' ).removeClass().addClass( 'whcom_icon_ok-circled2' );
							add_div.hide();
							remove_div.show();
						}
						else {
							icon_label.find( 'i' ).removeClass().addClass( 'whcom_icon_circle-empty' );
							add_div.show();
							remove_div.hide();
						}
					}
					else {
						checkbox.prop( 'checked', false ).prop( 'disabled', true );
					}
				}
			} );
		} );
		// TLD select continue button (whmpress, after select all desired tlds, it will move now to wcop territory)
		$( document ).on( 'click', '#wcop_df_domain_submit_button', function ( e ) {
			e.preventDefault();
			var button = $( this );
			var checked = $( 'input[name="whcom_tld_add_remove"]:checked' ).length;
			if ( checked > 0 ) {
				window.location.href = button.prop( 'href' );
			}
			else {
				alert( 'Kindly select at least one domain' );
			}
		} );
		// Domain Search Form (wcop, if domain is not added already by whmpress)
		$( document ).on( 'submit', '#wcop_df_domain_search_form', function ( e ) {
			e.preventDefault();
			var $form = $( this ).parents( '.wcop_df_domain_search' );
			var result = $form.find( '.wcop_df_domain_search_result_content' );
			var submit = $form.find( 'button' );
			var submit_val = submit.html();


			var data = $( this ).serializeArray();
			submit.html( whcom_spinner_icon );
			result.hide();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.html( submit_val );
					if ( res.status === "OK" ) {
						result.html( res.response_form ).show();
					}
					else {
						result.html( res.message ).show();
					}
				}
			} );
		} );
		// Domain Submit Form (wcop, if domain is not added already by whmpress)
		$( document ).on( 'submit', '#wcop_df_domain_search_submit', function ( e ) {
			e.preventDefault();
			var container = $( this ).parents( '#wcop_df_container' );
			var data = $( this ).serializeArray();
			container.html( whcom_spinner_icon );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
					}
					else {
						container.html( res.message );
					}
				}
			} );
		} );
		// TLD dropdown for product selection (populate product selection form based on domain dropdown change)
		$( document ).on( 'change', '#wcop_df_domain_dropdown', function ( e ) {
			e.preventDefault();

			var select = $( this );
			var selected = select.find( ':selected' );
			var cart_index = selected.data( 'cart-index' );
			var cart_product = selected.data( 'domain-product' );
			var product_wrapper = $( '.wcop_df_products_wrapper' );


			product_wrapper.html( whcom_spinner_icon );
			var data = {};
			data.action = "wcop_domain_first";
			data.wcop_what = "get_domain_products";
			data.cart_index = cart_index;
			data.cart_product = cart_product;
			data.pids = $( 'input[name="pids"]' ).val();
			data.gids = $( 'input[name="gids"]' ).val();

			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );

					if ( res.status === "OK" ) {
						product_wrapper.html( res.products );
					}
					else {
						product_wrapper.html( res.message );
					}
				}
			} );
		} );
		// Product add/remove for a tld
		$( document ).on( 'change', 'input[name="whcom_product_add_remove"]', function ( e ) {
			e.preventDefault();

			var checkbox = $( this );
			var checkbox_id = checkbox.prop( 'id' );
			var product_box = $( '#wcop_df_product_' + checkbox_id );
			product_box.find( '.wcop_df_product_icon i' ).removeClass().addClass( 'whcom_icon_spinner-1 whcom_animate_spin' );

			var domain = $( "#wcop_df_domain_dropdown" );
			var cart_index = domain.find( ':selected' ).data( 'cart-index' );

			$( document ).find( 'input[name="whcom_product_add_remove"]' ).not( checkbox ).each( function () {
				var checkbox_other = $( this );
				var checkbox_other_id = checkbox_other.prop( 'id' );
				var product_box_other = $( '#wcop_df_product_' + checkbox_other_id );
				product_box_other.find( '.wcop_df_product_icon i' ).removeClass().addClass( 'whcom_icon_circle-empty' );

				checkbox_other.prop( 'checked', false );
			} );

			var product_action = (
				checkbox.prop( 'checked' )
			) ? 'add_item' : 'delete_item';


			checkbox.prop( "disabled", true );


			var data = {};
			data.action = "wcop_domain_first";
			data.wcop_what = "attach_domain_product";
			data.pid = checkbox.data( 'product-id' );
			data.cid = checkbox.data( 'product-currency' );
			data.billingcycle = checkbox.data( 'product-billingcycle' );
			data.product_name = checkbox.data( 'product-name' );
			data.product_price = checkbox.data( 'product-price' );
			data.product_setup = checkbox.data( 'product-setup' );
			data.cart_index = cart_index;
			data.product_action = product_action;


			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					checkbox.prop( "disabled", false );
					if ( res.status === "OK" ) {
						checkbox.data( 'cart-index', res.cart_index );
						if ( product_action === 'add_item' ) {
							product_box.find( '.wcop_df_product_icon i' ).removeClass().addClass( 'whcom_icon_ok-circled2' );
						}
						else {
							product_box.find( '.wcop_df_product_icon i' ).removeClass().addClass( 'whcom_icon_circle-empty' );
						}
					}
					else {
						checkbox.prop( 'checked', false ).prop( 'disabled', true );
					}
				}
			} );
		} );
		// Continue when product attachment is completed (after attaching products with all/any domains)
		$( document ).on( 'click', '#wcop_df_products_continue', function ( e ) {
			e.preventDefault();
			var button = $( this );
			var container = $( this ).parents( '#wcop_df_container' );

			var data = {};
			data.action = "wcop_domain_first";
			data.wcop_what = "domain_products_attached";


			button.html( whcom_spinner_icon );

			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						container.html( res.response_form )
					}
					else {
						alert( 'Something went wrong...' );
						window.location.reload();
					}
				}
			} );
		} );
		// Product Selection Form
		$( document ).on( 'submit', '.wcop_df_select_product_form', function ( e ) {
			e.preventDefault();
			var submit = $( this ).find( 'button[type="submit"]' );
			var container = $( this ).parents( '#wcop_df_container' );
			var data = $( this ).serializeArray();
			submit.html( whcom_spinner_icon );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
						container.html( res.message );
					}
				}
			} );
		} );
		// Domains Config Form
		$( document ).on( 'submit', '.wcop_df_domains_config_form', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.text();
			var container = form.parents( '#wcop_df_container' );
			submit.html( whcom_spinner_icon );
			var data = form.serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.text( submit_val );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
					}
				}
			} );
		} );
		// Products Config Form
		$( document ).on( 'submit', '.wcop_df_products_config_form', function ( e ) {

			e.preventDefault();
			var form = $( this );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.text();
			var container = form.parents( '#wcop_df_container' );
			var response_text = container.find( '.wcop_contacts_response' );
			submit.html( whcom_spinner_icon );
			response_text.html( whcom_spinner_icon ).show();
			var data = form.serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.text( submit_val );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
						response_text.html( res.message ).show();
					}
				}
			} );
		} );
		// Client Login Form
		$( document ).on( 'submit', '.wcop_df_client_login_form', function ( e ) {
			e.preventDefault();
			var container = $( this ).parents( '#wcop_df_container' );
			var response_text = container.find( '.wcop_response' );
			var data = $( this ).serializeArray();
			response_text.html( whcom_spinner_icon ).show();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
						response_text.html( res.message );
					}
				}
			} );
		} );
		// Client Register Form
		$( document ).on( 'submit', '.wcop_df_client_register_form', function ( e ) {
			e.preventDefault();
			var container = $( this ).parents( '#wcop_df_container' );
			var response_container = $( 'wcop_response' );
			var data = $( this ).serializeArray();
			response_container.html( whcom_spinner_icon );
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						response_container.html( res.message );
						container.html( res.response_form );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
						response_container.html( res.message );
					}
				}
			} );
		} );
		// Add Contact Form
		$( document ).on( 'submit', '.wcop_add_contact_form', function ( e ) {
			e.preventDefault();
			var contact_form = $( this );
			var modal_container = contact_form.parents( '.wcop_modal' );
			var submit = modal_container.find( 'button[type="submit"]' );
			var submit_val = submit.text();
			var response_text = modal_container.find( '.wcop_response' );
			var contacts_registrant = $( document ).find( '#wcop_df_select_contact_registrant' );
			var contacts_admin = $( document ).find( '#wcop_df_select_contact_admin' );
			var contacts_tech = $( document ).find( '#wcop_df_select_contact_tech' );
			var contacts_billing = $( document ).find( '#wcop_df_select_contact_billing' );
			contacts_registrant.html( whcom_spinner_icon );
			contacts_admin.html( whcom_spinner_icon );
			contacts_tech.html( whcom_spinner_icon );
			contacts_billing.html( whcom_spinner_icon );
			submit.html( whcom_spinner_icon );

			var data = $( this ).serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.text( submit_val );
					if ( res.status === "OK" ) {
						response_text.html( res.message );
						contact_form['0'].reset();
						modal_container.find( '.wcop_modal_close' ).click();
						contacts_registrant.html( res.response_form_registrant );
						contacts_admin.html( res.response_form_admin );
						contacts_tech.html( res.response_form_tech );
						contacts_billing.html( res.response_form_billing );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
						response_text.html( res.message );
					}
				}
			} );
		} );
		// Select Contact Form
		$( document ).on( 'submit', '.wcop_select_contact_form', function ( e ) {
			e.preventDefault();
			var contact_form = $( this );
			var submit = contact_form.find( 'button[type="submit"]' );
			var submit_val = submit.text();
			var container = contact_form.parents( '#wcop_df_container' );
			var response_text = container.find( '.wcop_contacts_response' );
			submit.html( whcom_spinner_icon );
			response_text.html( whcom_spinner_icon ).show();
			var data = $( this ).serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.text( submit_val );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
						response_text.html( res.message ).show();
					}
				}
			} );
		} );
		// Eligibility Form
		$( document ).on( 'submit', '.wcop_df_domain_eligibility_form', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.text();
			var container = form.parents( '#wcop_df_container' );
			var response_text = container.find( '.wcop_contacts_response' );
			submit.html( whcom_spinner_icon );
			response_text.html( whcom_spinner_icon ).show();
			var data = form.serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.text( submit_val );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
						response_text.html( res.message ).show();
					}
				}
			} );
		} );
		// Recalculate Product Config Options
		$( document ).on( 'change', '.wcop_billingcycle_selector', function ( e ) {
			e.preventDefault();

			var select = $( this );
			var selected = select.find( ':selected' );
			var cart_index = select.data( 'cart-index' );
			var billingcycle = selected.data( 'billingcycle' );
			var product_id = select.data( 'product-id' );
			var options_wrapper = $( '#wcop_df_product_options_' + cart_index );


			options_wrapper.html( whcom_spinner_icon );
			var data = {};
			data.action = "wcop_domain_first";
			data.wcop_what = "get_product_options";
			data.cart_index = cart_index;
			data.billingcycle = billingcycle;
			data.product_id = product_id;

			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );

					if ( res.status === "OK" ) {
						options_wrapper.html( res.response_form );
					}
					else {
						options_wrapper.html( res.message );
					}
				}
			} );
		} );
		// Order Config Form
		$( document ).on( 'submit', '.wcop_df_order_config_form', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.text();
			var container = form.parents( '#wcop_df_container' );
			var response_text = container.find( '.wcop_contacts_response' );
			submit.html( whcom_spinner_icon );
			response_text.html( whcom_spinner_icon ).show();
			var data = form.serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.text( submit_val );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
						response_text.html( res.message ).show();
					}
				}
			} );
		} );
		// Delete cart item
		$( document ).on( 'click', '.wcop_df_remove_cart_item', function ( e ) {
			e.preventDefault();

			var confirm_delete = confirm( 'Are you sure you want to remove this item from cart?' );

			if ( ! confirm_delete ) {
				return;
			}

			var button = $( this );
			var container = $( this ).parents( '#wcop_df_container' );


			var data = {};
			data.action = "wcop_domain_first";
			data.wcop_what = "delete_cart_item";
			data.cart_index = button.data( 'cart-index' );


			button.html( whcom_spinner_icon );

			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
					}
					else {
						alert( res.message );
						window.location.reload();
					}
				}
			} );
		} );
		// Order Checkout
		$( document ).on( 'submit', '.wcop_df_summary_form', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.text();
			var container = form.parents( '#wcop_df_container' );
			var response_text = container.find( '.wcop_contacts_response' );
			submit.html( whcom_spinner_icon );
			response_text.html( whcom_spinner_icon ).show();
			var data = form.serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.text( submit_val );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
						$( 'html,body' ).animate( {
							scrollTop: 100
						}, 700 );
					}
					else {
						response_text.html( res.message ).show();
					}
				}
			} );
		} );
		// Capture Payment
		$( document ).on( 'submit', '.wcop_df_capture_payment_form', function ( e ) {
			e.preventDefault();
			var form = $( this );
			var submit = form.find( 'button[type="submit"]' );
			var submit_val = submit.text();
			var container = form.parents( '#wcop_df_container' );
			var response_text = container.find( '.wcop_response' );
			submit.html( whcom_spinner_icon );
			response_text.html( whcom_spinner_icon ).show();
			var data = form.serializeArray();
			jQuery.ajax( {
				url: wcop_ajax.ajax_url,
				type: 'post',
				data: data,
				success: function ( response ) {
					var res = JSON.parse( response );
					submit.text( submit_val );
					if ( res.status === "OK" ) {
						container.html( res.response_form );
					}
					else {
						response_text.html( res.message ).show();
					}
				}
			} );
		} );

		window.wcop_update_cart_summaries = function () {
			var side_summaries = [];
			var short_summaries = [];
			var buttons_summaries = [];
			var detailed_summaries = [];
			$( '.wcop_universal_cart_summary_side' ).each( function () {
				$(this).html(whcom_spinner_block);
				side_summaries.push( $( this ) );
			} );
			$( '.wcop_universal_cart_summary_short' ).each( function () {
				$(this).html(whcom_spinner_block);
				short_summaries.push( $( this ) );
			} );
			$( '.wcop_universal_cart_summary_button' ).each( function () {
				$(this).html(whcom_spinner_block);
				buttons_summaries.push( $( this ) );
			} );
			$( '.wcop_universal_cart_summary_detailed' ).each( function () {
				$(this).html(whcom_spinner_block);
				detailed_summaries.push( $( this ) );
			} );
			if ( (buttons_summaries.length + short_summaries.length + detailed_summaries.length) > 0 ) {
				var data = {};
				data.action = "wcop_generate_cart_summaries";
				data.cart_index = $( 'input[name="cart_index"]' ).val();
				data.product_id = $( 'input[name="pid"]' ).val();
				data.billingcycle = $( '[name="billingcycle"]' ).val();
				$.ajax( {
					url: wcop_ajax.ajax_url,
					type: 'post',
					data: data,
					success: function ( response ) {
						var res = JSON.parse( response );
						if ( res.status === "OK" ) {
							if ( side_summaries.length ) {
								$( side_summaries ).each( function () {
									$( this ).html( res.side );
								} );
							}
							if ( short_summaries.length ) {
								$( short_summaries ).each( function () {
									$( this ).html( res.short )
								} );
							}
							if ( buttons_summaries.length ) {
								$( buttons_summaries ).each( function () {
									$( this ).html( res.button )
								} );
							}
							if ( detailed_summaries.length ) {
								$( detailed_summaries ).each( function () {
									$( this ).html( res.detailed )
								} );
							}
							if ( res.total_items > 0 ) {
								$( '.whcom_universal_checkout_button' ).prop( 'disabled', false );
							}
							else {
								$( '.whcom_universal_checkout_button' ).prop( 'disabled', true );
							}
							$( '.whcom_summary_sidebar' ).whcom_sticky( {
								'parent': '.whcom_main',
								'offset_top': 80,
								'recalc_every': 1
							} );
							$('.whcom_op_promo_response').html(res.discount_message);
						}
						else {
						}
					}
				} );
			}
		};

		window.wcop_update_product_options = function () {
			var options_container = $( '.wcop_product_options_container' );
			if ( options_container[0] ) {
				var data = {};
				data.action = "wcop_get_product_config_options";
				data.cart_index = $( 'input[name="cart_index"]' ).val();
				data.product_id = $( 'input[name="pid"]' ).val();
				data.billingcycle = $( '[name="billingcycle"]' ).val();
				options_container.html( whcom_spinner_block );
				$.ajax( {
					url: wcop_ajax.ajax_url,
					type: 'post',
					data: data,
					success: function ( response ) {
						var res = JSON.parse( response );
						if ( res.status === "OK" ) {
							options_container.html( res.options_html );
						}
						else {
						}
					}
				} );
			}
		};

		window.wcop_update_product_summary = function () {
			var prd_form = $( 'form.wcop_add_product' );
			if ( prd_form[0] ) {
				var prd_summary = $( '.wcop_summary_sidebar' );
				var prd_summary_spinner = $( '.wcop_product_summary .whcom_icon_spinner-1' );
				var prd_submit = $( '.wcop_product_submit button' );
				prd_submit.prop('disabled', true);
				prd_summary_spinner.show();
				if ( prd_form ) {
					var data = prd_form.serializeArray();
					data.push( {'name': 'action', 'value': 'wcop_generate_current_product_summery'} );
					$.ajax( {
						url: wcop_ajax.ajax_url,
						type: 'post',
						data: data,
						success: function ( response ) {
							var res = JSON.parse( response );
							if ( res.status === "OK" ) {
								prd_submit.prop('disabled', false);
								prd_summary_spinner.fadeOut( 500 );
								prd_summary.html( res.summary_html.side );
								if ( res.summary_html.free_domain ) {
									$( '[name="regperiod"]' ).prop( 'disabled', true ).find( 'option' ).each( function () {
										$( this ).prop( 'selected', true );
										return false;
									} );
								}
								else {
									$( '[name="regperiod"]' ).prop( 'disabled', false );
								}
							}
							else {
								prd_summary.html( res.message );
							}
						}
					} );
				}
			}
		};

		window.wcop_sp_update_product_summary = function () {
			var prd_form = $( 'form.wcop_sp_add_product' );
			if ( prd_form[0] ) {
				var prd_summary = $( '.wcop_sp_order_summary' );
				var prd_summary_spinner = $( '.wcop_sp_product_summary_spinner' );
				var prd_submit = $( '.wcop_sp_product_submit' );
				prd_submit.hide();
				prd_summary_spinner.show();
				if ( prd_form ) {
					var data = prd_form.serializeArray();
					data.push( {'name': 'action', 'value': 'wcop_sp_process'} );
					data.push( {'name': 'wcop_sp_what', 'value': 'wcop_sp_generate_summary'} );
					$.ajax( {
						url: wcop_ajax.ajax_url,
						type: 'post',
						data: data,
						success: function ( response ) {
							var res = JSON.parse( response );
							if ( res.status === "OK" ) {
								prd_submit.show();
								prd_summary_spinner.fadeOut( 500 );
								prd_summary.html( res.summary_html.side );
								if ( res.summary_html.free_domain ) {
									$( '[name="regperiod"]' ).prop( 'disabled', true ).find( 'option' ).each( function () {
										$( this ).prop( 'selected', true );
										return false;
									} );
								}
								else {
									$( '[name="regperiod"]' ).prop( 'disabled', false );
								}
								if ( res.summary_html.no_options ) {
									$( '.wcop_sp_product_no_options' ).show();
								}
								else {
									$( '.wcop_sp_product_no_options' ).hide();
								}
							}
							else {
								prd_summary.html( res.message );
							}
						}
					} );
				}
			}
		};

	}( jQuery )
);








