<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
/**~~
 * @param $invoice_data = Invoice Data
 *
 * @return array = Array of Elements
 */

function wcop_capture_payment_function( $invoice_data ) {
	$response                 = [];
	$fields                   = [
		'clientid'      => esc_html__( 'Client ID' ),
		'invoiceid'     => esc_html__( 'Invoice ID' ),
		'cardtype'      => esc_html__( 'Card Type' ),
		'cardnum'       => esc_html__( 'Card Number' ),
		'expdate'       => esc_html__( 'Card Expiry Date' ),
		'cvv'           => esc_html__( 'Card CVV' ),
		//'paymentmethod' => esc_html__( 'Payment Gateway' ),
	];
	$response['invoice_data'] = $invoice_data;
	if ( isset( $invoice_data ) ) {

		$user = [
			'action' => 'UpdateClient',
		];
		foreach ( $fields as $field => $title ) {
			$response['status'] = 'info_invalid';
			if ( ! isset( $invoice_data[ $field ] ) ) {
				$response['message'] = $title . ' ' . esc_html__( 'is required' );
				$response['status']  = 'ERROR';
				break;
			}
			else {
				$user[ $field ]     = esc_attr( $invoice_data[ $field ] );
				$response['status'] = 'info_valid';
			}
		}
		if ( $response['status'] == 'info_valid' ) {

			$response['api_res'] = $res = whcom_process_api( $user );

			if ( $res['result'] != 'success' ) {
				$response['message'] = $res['message'] . 'API error in User editing';
				$response['status']  = 'ERROR';
				$response['user_id'] = $user;
			}
			else {
				$invoice             = [
					'action'    => 'CapturePayment',
					'invoiceid' => (int) $invoice_data['invoiceid'],
					'cvv'       => (int) $invoice_data['cvv'],
				];
				$response['api_res'] = $res = whcom_process_api( $invoice );
				if ( $res['result'] != 'success' ) {
					$response['message'] = $res['message'] . 'API error in Capture Payment';
					$response['status']  = 'ERROR';
				}
				else {
					$response['message'] = esc_html__( 'Invoice payment successful' );
					$response['status']  = 'OK';
				}
			}
		}
	}
	else {
		$response['message'] = esc_html__( "Something went wrong, kindly try again later ...", "whcom" );
		$response['status']  = 'ERROR';
	}

	return $response;
}

function wcop_generate_summery() {
	$summary_html = [];
	ob_start();
	include WCOP_PATH . '/common/shortcodes/order_process/03_summary_generator.php';
	ob_end_clean();
	return $summary_html;
}

function wcop_generate_current_product_summery_function( $product_array = [] ) {
	$summary_html = [];
	ob_start();
	include WCOP_PATH . '/shortcodes/shortcode-parts/product_sidebar.php';
	ob_end_clean();

	return $summary_html;
}





