<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );

$gids     = ( ! empty( $_REQUEST['gids'] ) ) ? esc_attr( $_REQUEST['gids'] ) : '';
$pids     = ( ! empty( $_REQUEST['pids'] ) ) ? esc_attr( $_REQUEST['pids'] ) : '';
$cart_index     = ( isset( $_REQUEST['cart_index'] ) ) ? (int)esc_attr( $_REQUEST['cart_index'] ) : -1;
$cart_item = whcom_get_cart_item($cart_index)['cart_item'];


$products = [];


$groups = whcom_get_all_products( $gids, $pids );
$groups = ( empty( $groups['groups'] ) ) ? [] : $groups['groups'];

if ( ! empty( $groups ) && is_array( $groups ) ) {
	foreach ( $groups as $group ) {
		if ( ! empty( $group['products'] ) && is_array( $group['products'] ) ) {
			foreach ( $group['products'] as $product ) {
				if ($product['showdomainoptions'] == "1") {
					$products[] = $product;
				}
			}
		}
	}
}

?>


<?php if ( ! empty( $products ) ) {
	foreach ( $products as $product ) {
		$img = WCOP_URL . '/assets/images/style1/prod-' . $product['id'] . '.png';
		$price = $billingcycle = $setup = "";
		if (!empty($product['lowest_price'])) {
			foreach($product['lowest_price'] as $b => $prc) {
				$price = $prc['price'];
				$setup = $prc['setup'];
				$billingcycle = $b;
			}
			$icon_class = ($cart_item['pid'] == $product['id']) ? 'whcom_icon_ok-circled2' : 'whcom_icon_circle-empty';
			$product_checked = ($cart_item['pid'] == $product['id']) ? 'checked' : '';
		}
		else {
			continue;
		}
		?>
		<div class="wcop_df_product_wrapper">
			<div class="wcop_df_product" id="wcop_df_product_whcom_pid_<?php echo $product['id']; ?>">
				<div class="wcop_df_product_icon">
					<i class="<?php echo $icon_class; ?>"></i>
				</div>
				<div class="wcop_df_product_image">
					<img src="<?php echo $img ?>" alt="<?php echo $product['name']; ?>">
				</div>
				<div class="wcop_df_product_submit">
					<input
						type="checkbox"
						<?php echo $product_checked; ?>
						id="whcom_pid_<?php echo $product['id']; ?>"
						value="<?php echo $product['id']; ?>"
						name="whcom_product_add_remove"
						style="display: none"
					    data-product-id="<?php echo $product['id']; ?>"
					    data-product-cart-index="<?php echo $cart_index; ?>"
					    data-product-name="<?php echo $product['name']; ?>"
					    data-product-currency="<?php echo $product['currency']; ?>"
					    data-product-price="<?php echo $price; ?>"
					    data-product-setup="<?php echo $setup; ?>"
					    data-product-billingcycle="<?php echo $billingcycle; ?>"
					>
					<label for="whcom_pid_<?php echo $product['id']; ?>" class="whcom_button">
						<?php esc_html_e( 'Select', "whcom" ) ?>
					</label>
				</div>
			</div>
		</div>
	<?php }
}
else { ?>
	<?php esc_html_e('No Email Package Found', "whcom" )?>
<?php } ?>









