<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$curr_domains = [];
$curr_cart    = whcom_get_cart()['all_items'];
foreach ( $curr_cart as $index => $item ) {
	if ( ! empty( $item['domain'] ) ) {
		$curr_domains[] = [
			'cart_index'  => $index,
			'domain_name' => $item['domain'],
			'domain_type' => $item['domaintype'],
			'domain_tld'  => whcom_get_tld_from_domain( $item['domain'] )
		];
	}
}


?>

<div class="wcop_df_domain_eligibility_page wcop_df_page">
	<?php if ( empty( $curr_domains ) ) { ?>
		<div class="whcom_alert whcom_alert_warning">
			<span><?php esc_html_e( 'Something went wrong, kindly refresh the page and start over...', "whcom" ) ?></span>
		</div>
	<?php }
	else { ?>
		<div class="wcop_df_page_header">
			<?php esc_html_e( 'Business Confirmation', "whcom" ) ?>
		</div>
		<div class="wcop_df_page_header_2">
			<?php $page = 'eligibility' ?>
			<?php include_once WCOP_PATH . '/shortcodes/domain_first/style1/00_top_icons.php'; ?>
		</div>
		<div class="wcop_df_sub_heading whcom_text_center_xs">
			<span><?php esc_html_e( 'Eligibility', "whcom" ) ?></span>
		</div>
		<div class="wcop_df_domain_eligibility_container wcop_df_page_content">
			<form class="wcop_df_domains_config_form" method="post">
				<input type="hidden" name="action" value="wcop_domain_first">
				<input type="hidden" name="wcop_what" value="domains_config">
				<div class="wcop_df_domain_eligibility_icon wcop_df_page_content_icon">
					<i class="whcom_icon_like"></i>
				</div>
				<?php foreach ( $curr_domains as $cart_index => $curr_domain ) { ?>
					<?php
					$tld_details         = whcom_get_tld_details( $curr_domain['domain_tld'] );
					$tld_register_prices = $tld_transfer_prices = [];
					foreach ( $tld_details['register_price'] as $ry => $rp ) {
						$tld_register_prices[] = [
							'duration' => $ry,
							'price'    => $rp,
						];
					}
					foreach ( $tld_details['transfer_price'] as $ty => $tp ) {
						$tld_transfer_prices[] = [
							'duration' => $ty,
							'price'    => $tp,
						];
					}
					?>
					<?php if ( strpos( $curr_domain['domain_name'], '.au' ) !== false ) { ?>
						<div class="wcop_df_section_heading_2">
						<span><?php esc_html_e( '.au Eligibility)', "whcom" ) ?>
							<strong>(<?php esc_html_e( '.com.au & .net.au', "whcom" ) ?>)</strong></span>
						</div>
						<div class="wcop_df_domain_eligibility_text">
							<?php esc_html_e( 'In order to register your .au domain name(s), auDA (.au Domain Administration) requires that we collect some additional data to verify your eligibility.', "whcom" ) ?>
						</div>
						<div class="wcop_df_domain_eligibility_form_container">
							<div class="whcom_row">
								<div class="whcom_col_sm_3">

								</div>
							</div>
							<div class="whcom_row">
								<div class="whcom_col_sm_3">
									<p>
										<?php esc_html_e( '.com.au and .net.au are for Please Select commercial purposes. To confirm your eligibility you must enter your business Eligibility ID Number name, number and type.', "whcom" ) ?>

									</p>
								</div>
								<div class="whcom_col_sm_3">
									<?php if ( $curr_domain['domain_type'] == 'register' ) { ?>
										<div class="whcom_form_field whcom_form_field_horizontal">
											<label for="wcop_product_domainduration" class="main_label"><?php esc_html_e( 'Domain Register Duration', "whcom" ); ?></label>
											<select id="wcop_product_domainduration" name="domainduration[<?php echo $cart_index; ?>]">
												<?php
												foreach ( $tld_register_prices as $dur ) {
													$dur_txt = esc_html__( ' For', "whcom" );
													$dur_txt .= $dur['duration'];
													$dur_txt .= ( $dur['duration'] == 1 ) ? esc_html__( ' Year', "whcom" ) : esc_html__( ' Years', "whcom" );
													if ( $dur['price'] < 0 ) {
														continue;
													}
													echo '<option value="' . $dur['duration'] . '">' . whcom_format_amount( [ 'amount' => $dur['price'] ] ) . $dur_txt . '</option>';
												}
												?>
											</select>
										</div>
										<?php echo whcom_render_tld_specific_fields( $curr_domain['domain_tld'], $cart_index ); ?>
									<?php }
									else if ( $curr_domain['domain_type'] == 'transfer' ) { ?>
										<div class="whcom_form_field whcom_form_field_horizontal">
											<label for="wcop_product_domainduration" class="main_label"><?php esc_html_e( 'Domain Transfer Duration', "whcom" ); ?></label>
											<select id="wcop_product_domainduration" name="domainduration[<?php echo $cart_index; ?>]">
												<?php
												foreach ( $tld_transfer_prices as $dur ) {
													$dur_txt = esc_html__( ' For', "whcom" );
													$dur_txt .= $dur['duration'];
													$dur_txt .= ( $dur['duration'] == 1 ) ? esc_html__( ' Year', "whcom" ) : esc_html__( ' Years', "whcom" );
													if ( $dur['price'] < 0 ) {
														continue;
													}
													echo '<option value="' . $dur['duration'] . '">' . whcom_format_amount( [ 'amount' => $dur['price'] ] ) . $dur_txt . '</option>';
												}
												?>
											</select>
										</div>
										<div class="wcop_domain_epp">
											<div class="whcom_form_field whcom_form_field_horizontal">
												<label for="inputAuthCode" class="main_label">Authorization Code</label>
												<input type="text" class="form-control" name="epp" id="inputAuthCode" placeholder="Epp Code / Auth Code" required="required">
											</div>
										</div>
									<?php } ?>
									<div class="wcop_df_domain_eligibility_text">
										<?php esc_html_e( 'The registrant warrants at the time of registration and renewal of any .au domain name that it meets, and will continue to meet for the period of its registration, the eligibility criteria prescribed in auDA\'s Published Policies for registering a domain name; and that the details in respect of its domain name submitted to Netregistry by the Licensee are true and correct, and that any future additions or alterations to those details will be true and correct.', "whcom" ) ?>
									</div>
								</div>
							</div>
						</div>
					<?php }
					else {
						include WCOP_PATH . '/shortcodes/domain_first/style1/04_domain_config.php';
					} ?>
				<?php } ?>
				<div class="wcop_df_section_heading_2">
				<span>
					<?php esc_html_e( 'Nameservers', "whcom" ) ?>
				</span>
				</div>
				<div class="wcop_df_domain_eligibility_form_container">
					<div class="whcom_form_field whcom_form_field_horizontal">
						<label for="inputNs1" class="main_label">Nameserver 1</label>
						<input type="text" class="form-control" id="inputNs1" name="domainns1" value="ns1.yourdomain.com">
					</div>
					<div class="whcom_form_field whcom_form_field_horizontal">
						<label for="inputNs2" class="main_label">Nameserver 2</label>
						<input type="text" class="form-control" id="inputNs2" name="domainns2" value="ns2.yourdomain.com">
					</div>
					<div class="whcom_form_field whcom_form_field_horizontal">
						<label for="inputNs3" class="main_label">Nameserver 3</label>
						<input type="text" class="form-control" id="inputNs3" name="domainns3" value="">
					</div>
					<div class="whcom_form_field whcom_form_field_horizontal">
						<label for="inputNs4" class="main_label">Nameserver 4</label>
						<input type="text" class="form-control" id="inputNs4" name="domainns4" value="">
					</div>
					<div class="whcom_form_field whcom_form_field_horizontal">
						<label for="inputNs5" class="main_label">Nameserver 5</label>
						<input type="text" class="form-control" id="inputNs5" name="domainns5" value="">
					</div>
				</div>
				<div class="whcom_form_field whcom_form_field_horizontal whcom_text_center_xs">
					<button type="submit"><?php esc_html_e( 'Continue', "whcom" ) ?></button>
				</div>
			</form>
		</div>
	<?php } ?>
</div>
