<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );

$curr_products = [];
$curr_cart     = whcom_get_cart()['all_items'];
foreach ( $curr_cart as $index => $item ) {
	if ( ! empty( $item['pid'] ) ) {
		$curr_products[] = [
			'cart_index'  => $index,
			'item' => $item,
		];
	}
} ?>

<div class="wcop_df_order_config_page wcop_df_page">
	<div class="wcop_df_page_header">
		<?php esc_html_e( 'Business Confirmation', "whcom" ) ?>
	</div>
	<div class="wcop_df_page_header_2">
		<?php $page = 'config' ?>
		<?php include_once WCOP_PATH . '/shortcodes/domain_first/style1/00_top_icons.php'; ?>
	</div>
	<div class="wcop_df_sub_heading whcom_text_center_xs">
		<span><?php esc_html_e( 'Configure Products', "whcom" ) ?></span>
	</div>
	<div class="wcop_df_order_config_container wcop_df_page_content">
		<div class="wcop_df_order_config_icon wcop_df_page_content_icon">
			<i class="whcom_icon_wrench"></i>
		</div>
		<div class="wcop_df_order_config_form_container">
			<form class="wcop_df_products_config_form" method="post">
				<input type="hidden" name="action" value="wcop_domain_first">
				<input type="hidden" name="wcop_what" value="products_config">
				<?php foreach ( $curr_products as $index => $curr_product ) {

					$product = whcom_get_product_details($curr_product['item']['pid']);
					$cart_index = $curr_product['cart_index'];
					$billingcycle = $billing_cycle  = $curr_product['item']['billingcycle'];
					if ($product) {
						include WCOP_PATH . '/shortcodes/domain_first/style1/05_product_config.php';
					}
					else {
						esc_html_e('Something went wrong...', "whcom" );
					}
				} ?>
				<div class="whcom_form_field whcom_form_field_horizontal whcom_text_center_xs">
					<button type="submit"><?php esc_html_e( 'Continue', "whcom" ) ?></button>
				</div>
			</form>
		</div>

	</div>
</div>











