<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$current_user     = whcom_get_current_client();
$user_email       = ( empty( $current_user ) ) ? '' : $current_user['email'];
$payment_gateways = whcom_get_payment_gateways()['payment_gateways'];
$cart_items       = whcom_get_cart()['all_items'];


?>

<div class="wcop_df_cart_list wcop_df_page">
	<div class="wcop_df_page_header">
		<?php esc_html_e( 'Business Confirmation', "whcom" ) ?>
	</div>
	<div class="wcop_df_page_header_2">
		<?php $page = 'summary' ?>
		<?php include_once WCOP_PATH . '/shortcodes/domain_first/style1/00_top_icons.php'; ?>
	</div>
	<div class="wcop_df_sub_heading whcom_text_center_xs">
		<span><?php esc_html_e( 'Ready for Launch', "whcom" ) ?></span>
	</div>
	<div class="wcop_df_summary_container wcop_df_page_content">
		<div class="wcop_df_summary_container_icon wcop_df_page_content_icon">
			<i class="whcom_icon_card"></i>
		</div>


		<div class="wcop_df_summary_form_container">
			<form class="wcop_df_summary_form" method="post">
				<input type="hidden" name="action" value="wcop_domain_first">
				<input type="hidden" name="wcop_what" value="submit_order">
				<input type="hidden" name="order_products" value="1">


				<h3 class="wcop_df_section_heading_2">
					<span><?php esc_html_e( 'Summary', "whcom" ); ?></span>
				</h3>
				<div class="wcop_df_summary_form_section">
					<div class="wcop_df_summary_detailed">
						<?php if ( !empty($cart_items) ) { ?>
							<?php include WCOP_PATH . '/shortcodes/domain_first/style1/06_summary_main.php'; ?>
							<div class="wcop_df_summary_item">
								<div class="wcop_df_summary_item_detail">
									<div class="whcom_form_field whcom_form_field_horizontal">
										<label class="main_label"><?php esc_html_e( 'User Email', "whcom" ) ?>:</label>
										<div class="whcom_checkbox_container">
											<span><?php echo $user_email ?></span>
										</div>
									</div>
								</div>
							</div>
							<div class="wcop_df_summary_item">
								<div class="wcop_df_summary_item_detail">
									<div class="wcop_product_payment_option whcom_form_field whcom_form_field_horizontal">
										<label for="" class="main_label"><?php esc_html_e( 'Select Payment Gateway', "whcom" ) ?></label>
										<div class="whcom_checkbox_container">
											<?php if ( is_array( $payment_gateways ) && ! empty( $payment_gateways ) ) {
												foreach ( $payment_gateways as $i => $gateway ) {
													$selected = ( $i == 0 ) ? 'checked' : '';
													$selected_class = ( $i == 0 ) ? 'whcom_checked' : '';
													?>
													<label for="paymentmethod_<?php echo $gateway['module'] ?>" class="whcom_radio <?php echo $selected_class?>">
													<input type="radio"
													       id="paymentmethod_<?php echo $gateway['module'] ?>" <?php echo $selected ?>
													       name="paymentmethod" value="<?php echo $gateway['module'] ?>">
													<?php echo $gateway['displayname'] ?></label>

													<?php
												}
											} ?>
										</div>
									</div>
								</div>
							</div>
							<div class="wcop_df_summary_item">
								<div class="wcop_df_summary_item_detail">
									<div class="whcom_text_center_xs whcom_form_field whcom_form_field_horizontal wcop_submit_container">
										<p class="wcop_response" style="display: none"></p>
										<button type="submit"><?php esc_html_e( 'Checkout', "whcom" ) ?></button>
									</div>
								</div>
							</div>
						<?php }
						else { ?>
							Nothing Found
						<?php } ?>
					</div>
				</div>
			</form>
		</div>
	</div>
</div>






