<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$cart_items = whcom_get_cart()['all_items'];
$counter    = 0;
?>

<?php if ( ! empty( $cart_items ) ) {
	$grand_total = 0.00;
	?>
	<?php foreach ( $cart_items as $cart_index => $cart_item ) {
		$found_item            = false;
		$found_domain          = false;
		$free_domain           = false;
		$product               = $domain = false;
		$domain_duration_text  = '';
		$item_total            = 0.00;
		$domain_price          = 0.00;
		$product_addons        = ( empty( $cart_item['addons'] ) ) ? '' : explode( ',', (string) $cart_item['addons'] );
		$product_configoptions = ( empty( $cart_item['configoptions'] ) ) ? [] : $cart_item['configoptions'];
		if ( ! empty( $cart_item['pid'] ) && $cart_item['pid'] > 0 ) {
			$found_item = 'found_product';
			$product    = whcom_get_product_details( $cart_item['pid'] );
			if ( empty( $product ) ) {
				continue;
			}
		}
		else if ( $cart_item['domain'] ) {
			$found_item = 'found_domain';
		}
		if ( $cart_item['domain'] ) {
			$found_domain = true;
			$tld          = whcom_get_tld_from_domain( $cart_item['domain'] );
			$domain       = whcom_get_tld_details( $tld );
			if ( empty( $domain ) ) {
				continue;
			}
			$domain_price    = 0.00;
			$domain_duration = "";
			$regperiod       = (string) $cart_item['regperiod'];

			if ( $product ) {
				$free_domain_billingcycles = explode( ',', $product['freedomainpaymentterms'] );
				$free_domain_tlds          = explode( ',', $product['freedomaintlds'] );
				if (
					( $product['freedomain'] == "on" )
					&& ( in_array( $tld, $free_domain_tlds ) )
					&& ( in_array( $cart_item['billingcycle'], $free_domain_billingcycles ) )
					&& ( in_array( $cart_item['billingcycle'], $free_domain_billingcycles ) )

				) {
					$free_domain = true;
				}
			}
		}
		if ( $found_domain ) {
			$tld_register_prices = $tld_transfer_prices = [];
			if ( $cart_item['domaintype'] == 'register' ) {
				foreach ( $domain['register_price'] as $ry => $rp ) {
					if ( $free_domain ) {
						$rp = 0.00;
					}
					$tld_register_prices[] = [
						'duration' => $ry,
						'price'    => $rp,
					];
					if ( $free_domain ) {
						whcom_add_update_cart_item( [ 'regperiod' => $ry ], $cart_index );
						break;
					}
				}
				foreach ( $tld_register_prices as $dur ) {
					$dur_txt = $dur['duration'];
					$dur_txt .= ( $dur['duration'] == '1' ) ? esc_html__( ' Year', "whcom" ) : esc_html__( ' Years', "whcom" );
					if ( $dur['price'] < 0 ) {
						continue;
					}
					$domain_duration_text .= $dur_txt;
					$domain_price         = $dur['price'];
					break;
				}
			}
			if ( $cart_item['domaintype'] == 'transfer' ) {
				foreach ( $domain['transfer_price'] as $ty => $tp ) {
					if ( $free_domain ) {
						$rp = 0.00;
					}
					$tld_transfer_prices[] = [
						'duration' => $ty,
						'price'    => $tp,
					];
					if ( $free_domain ) {
						whcom_add_update_cart_item( [ 'regperiod' => $ty ], $cart_index );
						break;
					}
				}
				foreach ( $tld_transfer_prices as $dur ) {
					$dur_txt = $dur['duration'];
					$dur_txt .= ( $dur['duration'] == '1' ) ? esc_html__( ' Year', "whcom" ) : esc_html__( ' Years', "whcom" );
					if ( $dur['price'] < 0 ) {
						continue;
					}
					$domain_duration_text .= $dur_txt;
					$domain_price         = $dur['price'];
					break;
				}
			}
		}
		if ( ! $found_item ) {
			continue;
		}
		?>
		<div class="wcop_df_summary_item">
			<a href="#" class="wcop_df_remove_cart_item" data-cart-index="<?php echo $cart_index ?>">
				<i class="whcom_icon_cancel"></i>
			</a>
			<?php if ( $found_item == 'found_domain' ) { ?>
				<?php if ( $found_domain ) { ?>
					<div class="wcop_df_summary_item_detail">
						<strong><?php echo $cart_item['domain']; ?></strong>
					</div>
					<div class="wcop_df_summary_item_detail">
						<div class="whcom_row">
							<div class="whcom_col_sm_6">
								<?php esc_html_e( 'Domain ', "whcom" ) ?>
								<?php echo ( $cart_item['domaintype'] == 'register' ) ? esc_html__( 'Registration', "whcom" ) : $cart_item['domaintype']; ?>
								<?php esc_html_e( 'Fee ', "whcom" ) ?>
							</div>
							<div class="whcom_col_sm_3">
								<?php echo $domain_duration_text; ?>
							</div>
							<div class="whcom_col_sm_3">
								<strong><?php echo whcom_format_amount( $domain_price ) ?></strong>
							</div>
						</div>
					</div>
					<?php $item_total = $item_total + (float) $domain_price; ?>
				<?php } ?>
			<?php } ?>
			<?php if ( $found_item == 'found_product' ) { ?>
				<?php if ( $found_domain ) { ?>
					<div class="wcop_df_summary_item_detail">
						<strong><?php echo $cart_item['domain']; ?></strong>
					</div>
					<div class="wcop_df_summary_item_detail">
						<div class="whcom_row">
							<div class="whcom_col_sm_6">
								<?php esc_html_e( 'Domain ', "whcom" ) ?>
								<?php echo ( $cart_item['domaintype'] == 'register' ) ? esc_html__( 'Registration', "whcom" ) : $cart_item['domaintype']; ?>
								<?php esc_html_e( 'Fee ', "whcom" ) ?>
							</div>
							<div class="whcom_col_sm_3 whcom_col_xs_3 whcom_text_right_sm">
								<?php echo $domain_duration_text; ?>
							</div>
							<div class="whcom_col_sm_3 whcom_col_xs_3 whcom_text_right_sm">
								<strong><?php echo whcom_format_amount( $domain_price ) ?></strong>
							</div>
						</div>
					</div>
					<?php $item_total = $item_total + (float) $domain_price; ?>
				<?php } ?>
				<?php $item_total = $item_total + $product['all_prices'][ $cart_item['billingcycle'] ]['price']; ?>
				<?php $item_total = $item_total + $product['all_prices'][ $cart_item['billingcycle'] ]['setup']; ?>
				<div class="wcop_df_summary_item_detail">
					<div class="whcom_row">
						<div class="whcom_col_sm_6">
							<strong><?php echo $product['name']; ?></strong>
						</div>
						<div class="whcom_col_sm_3 whcom_text_right_sm">
							<?php echo whcom_convert_billingcycle( $cart_item['billingcycle'] ); ?>
						</div>
						<div class="whcom_col_sm_3 whcom_text_right_sm">
							<?php echo whcom_format_amount( $product['all_prices'][ $cart_item['billingcycle'] ]['price'] ) ?>
						</div>
					</div>
				</div>
				<div class="wcop_df_summary_item_detail">
					<?php esc_html_e( 'Setup Fee:', "whcom" ) ?>
					<?php echo whcom_format_amount( $product['all_prices'][ $cart_item['billingcycle'] ]['setup'] ) ?>
				</div>

				<?php if ( ! empty( $product_configoptions ) && is_array( $product_configoptions ) && ! empty( $product['prd_configoptions'] ) && is_array( $product['prd_configoptions'] ) ) {
					$configoption_total = $configoption_amount = 0.00;
					foreach ( $product_configoptions as $option_id => $sub_option_id ) {
						$curr_option = $product['prd_configoptions'][ $option_id ];
						switch ( $curr_option['optiontype'] ) {
							case '1' : {
								$curr_sub_option     = $curr_option['sub_options'][ $sub_option_id ];
								$configoption_amount = (float) $curr_sub_option[ $cart_item['billingcycle'] ];
								break;
							}
							case '2' : {
								$curr_sub_option     = $curr_option['sub_options'][ $sub_option_id ];
								$configoption_amount = (float) $curr_sub_option[ $cart_item['billingcycle'] ];
								break;
							}
							case '3' : {
								$curr_sub_option = reset( $curr_option['sub_options'] );
								if ( $sub_option_id > 0 ) {
									$configoption_amount = (float) $curr_sub_option[ $cart_item['billingcycle'] ];
								}
								break;
							}
							case '4' : {
								$curr_sub_option     = reset( $curr_option['sub_options'] );
								$configoption_amount = (float) ( $curr_sub_option[ $cart_item['billingcycle'] ] * $sub_option_id );
								break;
							}
							default : {
								$curr_sub_option = [];
							}
						}
						$configoption_total = $configoption_total + $configoption_amount;
					}
					?>
					<div class="wcop_df_summary_item_detail">
						<?php esc_html_e( 'Config Options: ', "whcom" ) ?>
						<?php echo whcom_format_amount( $configoption_total ); ?>
					</div>
					<?php $item_total = $item_total + $configoption_total; ?>
				<?php } ?>
				<?php if ( ! empty( $product_addons ) && is_array( $product_addons ) && ! empty( $product['prd_addons'] ) && is_array( $product['prd_addons'] ) ) {
					$addons_total = 0.00;
					foreach ( $product_addons as $addon_id ) {
						$curr_addon      = $product['prd_addons'][ $addon_id ];
						$curr_addon_html = $curr_addon['name'] . ' (';
						$curr_addon_html .= whcom_format_amount( $curr_addon['monthly'] ) . ' ';
						$curr_addon_html .= $curr_addon['billingcycle'];
						$curr_addon_html .= ' + ';
						$curr_addon_html .= whcom_format_amount( $curr_addon['msetupfee'] ) . ' ';
						$curr_addon_html .= esc_html__( 'Setup Fee', 'wcap' );
						$curr_addon_html .= ')';
						$addons_total    = $addons_total + $curr_addon['monthly'] + $curr_addon['msetupfee'];
					} ?>
					<div class="wcop_df_summary_item_detail">
						<?php esc_html_e( 'Addons: ', "whcom" ) ?>
						<?php echo whcom_format_amount( $addons_total ); ?>
					</div>
					<?php $item_total = $item_total + $addons_total ?>
				<?php } ?>
			<?php } ?>
			<div style="display: none">
				<?php esc_html_e( 'Item Total:', "whcom" ) ?><?php echo whcom_format_amount( $item_total ); ?>
			</div>
			<?php $grand_total = $grand_total + $item_total; ?>
			<?php $counter ++; ?>
		</div>
	<?php } ?>
	<div class="wcop_df_summary_item">
		<div class="wcop_df_summary_item_detail whcom_text_center_xs whcom_text_right_sm">
			<div>
				<?php esc_html_e( 'Grand Total:', "whcom" ) ?>
			</div>
			<div>
				<?php echo whcom_format_amount( $grand_total ); ?>
			</div>
		</div>
	</div>
<?php } ?>






