<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$payment_gateways = whcom_get_payment_gateways()['payment_gateways'];
$currencies       = whcom_get_all_currencies();
$countries        = whcom_get_countries_array();


?>

<?php ob_start();

$checked          = 'checked';
$show_cc          = 'none';
$checked_class    = 'whcom_checked';
$selected_gateway = '';
?>
<div class="whcom_form_field whcom_text_center">
    <div class="whcom_radio_container">
		<?php foreach ( $payment_gateways as $payment_gateway ) { ?>
            <label class="whcom_radio <?php echo $checked_class; ?>"> <input type="radio"
                                                                             name="paymentmethod"
                                                                             class="whcom_sp_cc_switcher"
                                                                             value="<?php echo $payment_gateway['module'] ?>" <?php echo $checked; ?>>
				<?php echo $payment_gateway['displayname']; ?>
            </label>
			<?php if ( $checked == 'checked' ) {
				$selected_gateway = (string) $payment_gateway['module'];
			} ?>
			<?php $checked = $checked_class = ''; ?>
		<?php } ?>
    </div>
</div>
<?php $payment_selection = ob_get_clean(); ?>

<div class="whcom_op_checkout_container">

    <div class="whcom_page_heading ">
		<?php esc_html_e( 'Checkout', 'whcom' ) ?>
    </div>
    <div class="whcom_margin_bottom_15 whcom_page_sub_heading">
		<?php esc_html_e( 'Please enter your personal details and billing information to checkout.', 'whcom' ) ?>
    </div>

    <form method="post" class="whcom_op_checkout_form" novalidate>
        <input type="hidden" name="action" value="whcom_op"> <input type="hidden" name="whcom_op_what" value="checkout">
		<?php if ( whcom_is_client_logged_in() ) { ?>
			<?php $cur_client = whcom_get_current_client(); ?>
            <div class="whcom_op_section_content">
                <div class="whcom_row whcom_row_no_gap">
                    <div class="whcom_col_sm_6">
                        <!-- First Name -->
                        <div class="whcom_form_field">
                            <label for="firstname"><?php esc_html_e( 'First Name', 'whcom' ) ?></label>
                            <input type="text"
                                   id="firstname"

                                   value="<?php echo $cur_client['firstname']; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_6">
                        <!-- Last Name -->
                        <div class="whcom_form_field">
                            <label for="lastname"><?php esc_html_e( 'Last Name', 'whcom' ) ?></label>
                            <input type="text" id="lastname" value="<?php echo $cur_client['lastname']; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_6">
                        <!-- Email -->
                        <div class="whcom_form_field">
                            <label for="email"><?php esc_html_e( 'Email Address', 'whcom' ) ?></label>
                            <input type="email" id="email" value="<?php echo $cur_client['email']; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_6">
                        <!-- Phone Number -->
                        <div class="whcom_form_field">
                            <label for="phonenumber"><?php esc_html_e( 'Phone Number', 'whcom' ) ?></label>
                            <input type="tel"
                                   id="phonenumber"
                                   value="<?php echo $cur_client['phonenumber']; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_6">
                        <!-- Company -->
                        <div class="whcom_form_field">
                            <label for="companyname"><?php esc_html_e( 'Company Name', 'whcom' ) ?></label>
                            <input type="text"
                                   id="companyname"
                                   value="<?php echo $cur_client['companyname']; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_6">
                        <!-- Address -->
                        <div class="whcom_form_field">
                            <label for="address1"><?php esc_html_e( 'Address Line 1', 'whcom' ) ?></label>
                            <input type="text" id="address1" value="<?php echo $cur_client['address1']; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_6">
                        <!-- Address Line 2-->
                        <div class="whcom_form_field">
                            <label for="address2"><?php esc_html_e( 'Address Line 2', 'whcom' ) ?></label>
                            <input type="text" id="address2" value="<?php echo $cur_client['address2']; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_6">
                        <!-- Country -->
                        <div class="whcom_form_field">
                            <label for="country"><?php esc_html_e( 'Country', 'whcom' ) ?></label>
                            <input type="text"
                                   id="country"
                                   value="<?php echo $countries[ $cur_client['country'] ]; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_4">
                        <!-- State -->
                        <div class="whcom_form_field">
                            <label for="state"><?php esc_html_e( 'State', 'whcom' ) ?></label>
                            <input type="text" id="state" value="<?php echo $cur_client['state']; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_4">
                        <!-- City -->
                        <div class="whcom_form_field">
                            <label for="city"><?php esc_html_e( 'City', 'whcom' ) ?></label>
                            <input type="text" id="city" value="<?php echo $cur_client['city']; ?>" disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_4">
                        <!-- Post Code -->
                        <div class="whcom_form_field">
                            <label for="postcode"><?php esc_html_e( 'Post Code', 'whcom' ) ?></label>
                            <input type="text" id="postcode" value="<?php echo $cur_client['postcode']; ?>"
                                   disabled="disabled">
                        </div>
                    </div>
                    <div class="whcom_col_sm_12">
						<?php echo $payment_selection; ?>
                    </div>
                </div>
            </div>
		<?php }
		else { ?>
			<?php echo whcom_render_client_register_JS(); ?>
            <div class="whcom_op_section_content">
                <div class="whcom_op_register_login_container">
                    <div class="whcom_text_right">
						<span class="whcom_op_register_link whcom_button whcom_button_warning whcom_op_register_login_link"
                              style="display: none" id="whcom_op_register_link">
							<?php esc_html_e( 'Register New Account', 'whcom' ) ?>
						</span>
                        <span class="whcom_op_login_link whcom_button whcom_button_info whcom_op_register_login_link"
                              style="display: inline-block" id="whcom_op_login_link">
							<?php esc_html_e( 'Already Registered?', 'whcom' ) ?>
						</span>
                    </div>
                    <div class="whcom_tabs_content active" id="whcom_op_register_container" style="display: block">
                        <input type="hidden" name="currency" value="<?php echo whcom_get_current_currency_id(); ?>">
						<?php echo whcom_render_register_form_fields(); ?>
                    </div>
                    <div class="whcom_tabs_content whcom_op_login_form" id="whcom_op_login_container"
                         style="display: none">
                        <div class="whcom_sub_heading_style_1">
                            <span><?php esc_html_e( "Existing Customer Login", "whcom" ) ?></span>
                        </div>

                        <div class="whcom_row whcom_row_no_gap">
                            <div class="whcom_col_sm_6">
                                <div class="whcom_form_field">
                                    <input type="email" name="login_email" id="whcom_op_login_email"
                                           placeholder="<?php esc_html_e( 'Email Address', 'whcom' ) ?>">
                                </div>
                            </div>
                            <div class="whcom_col_sm_6">
                                <div class="whcom_form_field">
                                    <input type="password" name="login_pass" id="whcom_op_login_pass"
                                           placeholder="<?php esc_html_e( 'Password', 'whcom' ) ?>">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="whcom_op_payment_method">
                    <div class="whcom_sub_heading_style_1">
                        <span><?php esc_html_e( "Payment Details", "whcom" ) ?></span>
                    </div>
					<?php echo $payment_selection; ?>
                </div>
                <input type="hidden" name="whcom_op_client_type" value="register" id="whcom_op_client_type">
            </div>

		<?php } ?>
        <div class="whcom_op_tos_container">
			<?php echo whcom_render_tos_fields(); ?>
        </div>
        <div class="whcom_op_response">

        </div>
        <div class="whcom_op_submit_container whcom_text_center">
            <button type="submit"><?php esc_html_e( "Complete Order", "whcom" ) ?></button>
        </div>
    </form>
</div>
