<?php defined('ABSPATH') or die("Cannot access pages directly.");
$product_id = (!empty($product_id)) ? (int)$product_id : 0;
$page_url = (empty($page_url)) ? home_url('/') : $page_url;

if ($product_id < 1) {
    esc_html_e('No valid product_id provided', "whcom");

    return;
}
$whmcs_settings = whcom_get_whmcs_setting();
$final_array = whcom_get_product_details($product_id);
if (!$final_array) {
    esc_html_e('No valid product_id provided', "whcom");

    return;
}

if ((empty($billing_cycle)) && (!empty($final_array['lowest_price']))) {
    reset($final_array['lowest_price']);
    $billing_cycle = key($final_array['lowest_price']);
}
$free_domain_billingcycles = [];
if (!empty ($final_array['freedomainpaymentterms'])) {
    $free_domain_billingcycles = explode(',', $final_array['freedomainpaymentterms']);
}


// Getting domains already in cart
$curr_domains = [];
$curr_cart = whcom_get_cart()['all_items'];
$gids = (!empty($gids)) ? $gids : '';
$pids = (!empty($pids)) ? $pids : '';
foreach ($curr_cart as $index => $item) {
    if (!empty($item['domain']) && !empty($item['domaintype'])) {
        if (!empty($item['pid'])) {
            continue;
        }
        $item_ext = whcom_get_tld_from_domain($item['domain']);
        $item_domain = str_replace($item_ext, '', $item['domain']);
        $curr_domains[] = [
            'cart_index' => $index,
            'domain_name' => $item_domain,
            'domain_ext' => $item_ext,
            'domain_type' => $item['domaintype'],
            'domain_product' => $item['pid']
        ];
    }
}


?>
<div id="wcop_page_container" class="wcop_page_container wcop_product_page">
    <?php if ($final_array['showdomainoptions'] == '1') { ?>
        <div class="wcop_domain_container">
            <div class="whcom_page_heading ">
                <?php esc_html_e('Choose a Domain', "whcom") ?>
            </div>
            <div class="wcop_product_domain_options">
                <?php if (!empty($curr_domains)) { ?>

                    <div class="whcom_product_domain_option">
                        <div class="whcom_form_field">
                            <label class="whcom_radio whcom_checked">
                                <input type="radio" value="domain_already_in_cart"
                                       name="wcop_product_domain_option_selector" checked="checked">
                                <?php esc_html_e('Already in Cart', "whcom") ?>
                            </label>
                        </div>
                        <div class="whcom_product_domain_option_form" id="domain_already_in_cart"
                             style="display: block;">
                            <form class="wcop_check_product_domain domain_already_in_cart" method="post">
                                <input type="hidden" name="check_domain" value="1">
                                <input type="hidden" name="action" value="wcop_check_product_domain">
                                <div class="whcom_row whcom_row_no_gap">
                                    <div class="whcom_col_sm_9">
                                        <div class="whcom_form_field">
                                            <select name="domain"
                                                    title="<?php esc_html_e('Select a domain', "whcom") ?>">
                                                <?php foreach ($curr_domains as $curr_domain) {
                                                    if (!empty($curr_domain['domain_product']) && $curr_domain['domain_product'] > 0) {
                                                        continue;
                                                    } ?>
                                                    <option value="<?php echo $curr_domain['domain_name']; ?>"
                                                            data-cart-index="<?php echo $curr_domain['cart_index'] ?>"
                                                            data-domain-tld="<?php echo $curr_domain['domain_ext'] ?>"
                                                            data-domain-type="<?php echo $curr_domain['domain_type'] ?>"
                                                    ><?php echo $curr_domain['domain_name'] ?><?php echo $curr_domain['domain_ext'] ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="whcom_col_sm_3">
                                        <div class="whcom_form_field">
                                            <button type="submit"
                                                    class="whcom_button whcom_button_block"><?php esc_html_e('Use', "whcom") ?></button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                <?php } ?>
                <?php if (!empty($whmcs_settings) && !empty($whmcs_settings['AllowRegister']) && strtolower($whmcs_settings['AllowRegister']) == 'on') { ?>
                    <div class="whcom_product_domain_option">
                        <div class="whcom_form_field">
                            <label class="whcom_radio <?php echo (empty($curr_domains)) ? 'whcom_checked' : ''; ?>">
                                <input type="radio" value="domain_register"
                                       name="wcop_product_domain_option_selector" <?php echo (empty($curr_domains)) ? 'checked="checked"' : ''; ?>>
                                <?php esc_html_e('Register a new domain', "whcom") ?>
                            </label>
                        </div>
                        <div class="whcom_product_domain_option_form" id="domain_register"
                             style="display: <?php echo (empty($curr_domains)) ? 'block' : 'none'; ?>;">
                            <form class="wcop_check_product_domain" method="post">
                                <input type="hidden" name="check_domain" value="1">
                                <input type="hidden" name="domaintype" value="register">
                                <input type="hidden" name="action" value="wcop_check_product_domain">
                                <div class="whcom_row whcom_row_no_gap">
                                    <div class="whcom_col_sm_7">
                                        <div class="whcom_form_field">
                                            <input required="required" type="search" name="domain" id="search_domain"
                                                   title="Domain Name">
                                        </div>
                                    </div>
                                    <div class="whcom_col_sm_2">
                                        <div class="whcom_form_field">
                                            <select name="ext" title="Select TLD">
                                                <?php
                                                if (!empty ($domains_list) && is_array($domains_list)) {
                                                    foreach ($domains_list as $tld => $det) {
                                                        echo '<option value="' . $tld . '">' . $tld . '</option>';
                                                    }
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="whcom_col_sm_3">
                                        <div class="whcom_form_field">
                                            <button type="submit"
                                                    class="whcom_button whcom_button_block"><?php esc_html_e('Check', "whcom") ?></button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                <?php } ?>
                <?php if (!empty($whmcs_settings) && !empty($whmcs_settings['AllowTransfer']) && strtolower($whmcs_settings['AllowTransfer']) == 'on') { ?>
                    <div class="whcom_product_domain_option">
                        <div class="whcom_form_field">
                            <label class="whcom_radio">
                                <input type="radio" value="domain_transfer" name="wcop_product_domain_option_selector">
                                <?php esc_html_e('Transfer your domain from another registrar', "whcom") ?>
                            </label>
                        </div>
                        <div class="whcom_product_domain_option_form" id="domain_transfer">
                            <form class="wcop_check_product_domain" method="post">
                                <input type="hidden" name="check_domain" value="1">
                                <input type="hidden" name="domaintype" value="transfer">
                                <input type="hidden" name="action" value="wcop_check_product_domain">
                                <div class="whcom_row whcom_row_no_gap">
                                    <div class="whcom_col_sm_7">
                                        <div class="whcom_form_field">
                                            <input required="required" type="search" name="domain" id="search_domain"
                                                   title="Search Domain">
                                        </div>
                                    </div>
                                    <div class="whcom_col_sm_2">
                                        <div class="whcom_form_field">
                                            <select name="ext" id="search_ext" title="Select TLD">
                                                <?php
                                                if (!empty ($domains_list) && is_array($domains_list)) {
                                                    foreach ($domains_list as $tld => $det) {
                                                        echo '<option value="' . $tld . '">' . $tld . '</option>';
                                                    }
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="whcom_col_sm_3">
                                        <div class="whcom_form_field">
                                            <button type="submit"
                                                    class="whcom_button whcom_button_block"><?php esc_html_e('Transfer', "whcom") ?></button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                <?php } ?>
                <?php if (!empty($whmcs_settings) && !empty($whmcs_settings['AllowOwnDomain']) && strtolower($whmcs_settings['AllowOwnDomain']) == 'on') { ?>
                    <div class="whcom_product_domain_option">
                        <div class="whcom_form_field">
                            <label class="whcom_radio">
                                <input type="radio" value="domain_existing" name="wcop_product_domain_option_selector">
                                <?php esc_html_e('I will use my existing domain and update my nameservers', "whcom") ?>
                            </label>
                        </div>
                        <div class="whcom_product_domain_option_form" id="domain_existing">
                            <form class="wcop_check_product_domain" method="post">
                                <input type="hidden" name="check_domain" value="1">
                                <input type="hidden" name="domaintype" value="existing">
                                <input type="hidden" name="action" value="wcop_check_product_domain">
                                <div class="whcom_row whcom_row_no_gap">
                                    <div class="whcom_col_sm_7">
                                        <div class="whcom_form_field">
                                            <input required="required" type="search" name="domain" id="search_domain"
                                                   title="Domain Name">
                                        </div>
                                    </div>
                                    <div class="whcom_col_sm_2">
                                        <div class="whcom_form_field">
                                            <input type="text" name="ext" required="required" id="search_ext"
                                                   title="Enter TLD TLD">
                                        </div>
                                    </div>
                                    <div class="whcom_col_sm_3">
                                        <div class="whcom_form_field">
                                            <button type="submit"
                                                    class="whcom_button whcom_button_block"><?php esc_html_e('Use', "whcom") ?></button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                <?php } ?>
            </div>
            <div class="wcop_domain_response"></div>
        </div>
    <?php } ?>
    <div class="wcop_product_container" <?php echo ($final_array['showdomainoptions'] == '1') ? 'style="display: none;"' : ''; ?>>

        <div class="whcom_page_heading ">
            <?php esc_html_e('Configure', "whcom") ?>
        </div>
        <div class="whcom_margin_bottom_15">
            <?php esc_html_e('Configure your desired options and continue to checkout.', "whcom") ?>
        </div>

        <form class="wcop_add_product" method="post">
            <div class="whcom_row">
                <div class="whcom_col_sm_8">
                    <input type="hidden" name="cart_index" value="-1">
                    <input type="hidden" name="pid" value="<?php echo $product_id; ?>">
                    <input type="hidden" name="cid" value="<?php echo whcom_get_current_currency_id(); ?>">
                    <input type="hidden" name="landing_page" value="<?php echo $page_url ?>">
                    <input type="hidden" name="action" value="wcop_add_product_to_cart">
                    <input type="hidden" name="required_domain" value="no">
                    <?php if ($final_array['showdomainoptions'] == '1') { ?>
                        <input type="hidden" name="required_domain" value="yes">
                    <?php } ?>
                    <div class="wcop_product_details">
                        <div class="wcop_product_details_container">
                            <div class="wcop_product_config_description wcop_product_config_block">
                                <div>
                                    <strong><?php echo $final_array['name']; ?></strong>
                                </div>
                                <?php echo $final_array['description']; ?>
                                <?php //$current = '';
                                //foreach ( $final_array['description_array'] as $des => $det ) {
                                //	echo '<div class="wcop_product_feature">';
                                //	echo '<div class="wcop_product_feature_title">' . $det['feature_title'] . '</div>';
                                //	echo '<div class="wcop_product_feature_value">' . $det['feature_value'] . '</div>';
                                //	echo '</div>';
                                //} ?>
                            </div>
                            <div class="whcom_clearfix"></div>
                            <?php if ($final_array['paytype'] == 'recurring') { ?>
                                <div class="wcop_product_config_block">
                                    <div class="wcop_product_billingcycle whcom_form_field">
                                        <?php $all_prices = $final_array['all_prices']; ?>
                                        <?php
                                        $billing_cycle_class = 'wcop_form_control wcop_input';
                                        if (!empty($final_array['prd_configoptions'])) {
                                            $billing_cycle_class .= ' wcop_update_product_options';
                                        }
                                        ?>
                                        <label for="wcop_product_billingcycle" class="main_label">
                                            <?php echo esc_html__('Choose Billing Cycle', "whcom") . ": " ?>
                                        </label>
                                        <select id="wcop_product_billingcycle" name="billingcycle"
                                                class="<?php echo $billing_cycle_class ?>">
                                            <?php $current = '';
                                            foreach ($all_prices as $key => $price) {
                                                ($billing_cycle == $key) ? $current = 'selected' : $current = '';
                                                $option_string = '<option value="' . $key . '" ' . $current . '>';
                                                $option_string .= whcom_format_amount(['amount' => $price['price']]) . ' ' . whcom_convert_billingcycle($key) . ' + ' . whcom_format_amount(['amount' => $price['setup']]) . ' ' . esc_html__('Setup Fee', "whcom");
                                                if (in_array($key, $free_domain_billingcycles)) {
                                                    $option_string .= ' (' . esc_html__('Free Domain', "whcom") . ') ';
                                                }
                                                $option_string .= '</option>';
                                                echo $option_string;
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if ($final_array['paytype'] == 'free') { ?>
                                <input type="hidden" name="billingcycle" value="<?php echo $billing_cycle ?>">
                            <?php } ?>
                            <?php if ($final_array['paytype'] == 'onetime') { ?>
                                <input type="hidden" name="billingcycle" value="<?php echo $billing_cycle ?>">
                            <?php } ?>
                            <?php if ($final_array['type'] == 'server') { ?>
                                <div class="whcom_sub_heading_style_1">
                                    <span><?php esc_html_e('Server Options', "whcom") ?></span>
                                </div>
                                <div class="wcop_server_options_container wcop_product_config_block">
                                    <?php echo whcom_render_server_specific_fields(); ?>
                                </div>
                            <?php } ?>
                            <?php if (!empty($final_array['prd_configoptions'])) { ?>
                                <div class="wcop_product_config_block">
                                    <div class="whcom_sub_heading_style_1">
                                        <span><?php esc_html_e('Configurable Options', "whcom") ?></span>
                                    </div>
                                    <div class="wcop_product_options_container">
                                        <?php echo whcom_render_product_config_options($final_array, -1, $billing_cycle) ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if (!empty($final_array['custom_fields']) && is_array($final_array['custom_fields'])) { ?>
                                <div class="wcop_product_config_block">
                                    <div class="whcom_sub_heading_style_1">
										<span>
											<?php esc_html_e('Additional Required Information', "whcom") ?>
										</span>
                                    </div>
                                    <div class="wcop_product_custom_fields_container">
                                        <?php echo whcom_render_product_custom_fields($final_array); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if (!empty($final_array['prd_addons']) && is_array($final_array['prd_addons'])) { ?>
                                <div class="wcop_product_config_block">
                                    <div class="whcom_sub_heading_style_1">
										<span>
											<?php esc_html_e('Available Addons', "whcom") ?>
										</span>
                                    </div>
                                    <?php echo whcom_render_product_addons($final_array); ?>
                                </div>
                            <?php } ?>
                            <?php if ($final_array['showdomainoptions'] == '1') { ?>
                                <div class="wcop_product_config_block wcop_product_domain_config_block">
                                    <div class="whcom_sub_heading_style_1">
										<span>
											<?php esc_html_e('Domain Configuration', "whcom") ?>
										</span>
                                    </div>
                                    <div class="wcop_product_config_block">
                                        <div class="wcop_product_domain_config_container">
                                        </div>
                                        <div class="wcop_free_tlds" style="display: none;">
                                            <?php if (!empty($free_domain_billingcycles) && !empty($final_array['freedomaintlds'])) { ?>
                                                <div class="whcom_alert whcom_alert_info">
                                                    <div>
                                                        <?php esc_html_e('Free Domain is only available for following TLD\'s', "whcom") ?>
                                                    </div>
                                                    <div><strong><?php echo $final_array['freedomaintlds']; ?></strong>
                                                    </div>
                                                </div>
                                                <div class="whcom_alert whcom_alert_info">
                                                    <div>
                                                        <?php esc_html_e('Free Domain is only available for following billingcycles...', "whcom") ?>
                                                    </div>
                                                    <div>
                                                        <strong>
                                                            <?php foreach ($free_domain_billingcycles as $free_domain_billingcycle) {
                                                                echo whcom_convert_billingcycle($free_domain_billingcycle);
                                                            } ?>
                                                        </strong>
                                                    </div>
                                                </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <div class="whcom_col_sm_4 whcom_sticky_item whcom_padding_0_10">
                    <div class="wcop_product_summary whcom_panel">
                        <div class="whcom_panel_header">
                            <?php esc_html_e('Order Summary', "whcom") ?>
                            <span class="whcom_icon_spinner-1 whcom_animate_spin whcom_pull_right"></span>
                        </div>
                        <div class="whcom_panel_body">
                            <div class="whmpress_cart_product_name whcom_text_center">
                                <strong><?php echo $final_array['name']; ?></strong>
                            </div>
                            <div class="wcop_summary_sidebar">
                            </div>
                            <div class="whcom_text_center wcop_response">

                            </div>
                        </div>
                        <div class="whcom_panel_footer">
                            <div class="wcop_product_submit whcom_text_center">
                                <button type="submit"
                                        class="whcom_button whcom_button_big"><?php esc_html_e('Continue', "whcom") ?></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

