<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$cart_items   = whcom_get_cart()['all_items'];
$counter      = 0;
$grand_total  = 0.00;
$summary_html = [
	'full'   => '',
	'side'   => 'Side Summary Start',
	'short'  => 'Short Summary Started ',
	'button' => '',
];
$amounts      = [
	'setup'        => 0.00,
	'monthly'      => false,
	'quarterly'    => false,
	'semiannually' => false,
	'annually'     => false,
	'biennially'   => false,
	'triennially'  => false,
];

$taxes          = [
	'base_price'  => 0.00,
	'l1_rate'     => 0.00,
	'l2_rate'     => 0.00,
	'l1_amount'   => 0.00,
	'l2_amount'   => 0.00,
	'final_price' => 0.00,
];


$tax_settings = whcom_get_whmcs_setting();

ob_start(); ?>
<?php if ( ! empty( $cart_items ) ) { ?>
	<ul class="whcom_list">
		<?php foreach ( $cart_items as $cart_index => $cart_item ) {
			$found_item            = false;
			$found_domain          = false;
			$free_domain           = false;
			$domain_addons         = whcom_get_domain_addons( '.com' );
			$product               = $domain = false;
			$domain_duration_text  = '';
			$item_total            = 0.00;
			$setup_price           = 0.00;
			$domain_price          = 0.00;
			$item_price_dummy      = 0.00;
			$domain_price_dummy    = 0.00;
			$product_addons        = ( empty( $cart_item['addons'] ) ) ? '' : explode( ',', (string) $cart_item['addons'] );
			$product_configoptions = ( empty( $cart_item['configoptions'] ) ) ? [] : $cart_item['configoptions'];
			if ( ! empty( $cart_item['pid'] ) && $cart_item['pid'] > 0 ) {
				$found_item = 'found_product';
				$product    = whcom_get_product_details( $cart_item['pid'] );
				if ( empty( $product ) ) {
					continue;
				}
			}
			else if ( ! empty( $cart_item['domain'] ) ) {
				$found_item = 'found_domain';
			}
			if ( ! empty( $cart_item['domain'] ) ) {
				$found_domain = true;
				$tld          = whcom_get_tld_from_domain( $cart_item['domain'] );
				$domain       = whcom_get_tld_details( $tld );
				if ( empty( $domain ) ) {
					continue;
				}
				$domain_price    = 0.00;
				$domain_duration = "";
				$regperiod       = (string) $cart_item['regperiod'];

				if ( $product ) {
					$free_domain_billingcycles = explode( ',', $product['freedomainpaymentterms'] );
					$free_domain_tlds          = explode( ',', $product['freedomaintlds'] );
					if (
						( $product['freedomain'] == "on" )
						&& ( in_array( $tld, $free_domain_tlds ) )
						&& ( in_array( $cart_item['billingcycle'], $free_domain_billingcycles ) )
						&& ( in_array( $cart_item['billingcycle'], $free_domain_billingcycles ) )

					) {
						$free_domain = true;
					}
				}
			}
			if ( $found_domain ) {
				$tld_register_prices = $tld_transfer_prices = [];
				if ( $cart_item['domaintype'] == 'register' ) {
					foreach ( $domain['register_price'] as $ry => $rp ) {
						if ( $free_domain ) {
							$rp = 0.00;
						}
						$tld_register_prices[] = [
							'duration' => $ry,
							'price'    => $rp,
						];
						if ( $free_domain ) {
							whcom_add_update_cart_item( [ 'regperiod' => $ry ], $cart_index );
							break;
						}
					}
					foreach ( $tld_register_prices as $dur ) {
						$dur_txt = esc_html__( 'For ', "whcom" );
						$dur_txt .= $dur['duration'];
						$dur_txt .= ( $dur['duration'] == 1 ) ? esc_html__( ' Year', "whcom" ) : esc_html__( ' Years', "whcom" );
						if ( $dur['price'] < 0 ) {
							continue;
						}
						$domain_duration_text = $dur_txt;
						$domain_price         = $dur['price'];
						if ( (int) $dur['duration'] == (int) $cart_item['regperiod'] ) {
							break;
						}
					}
				}
				if ( $cart_item['domaintype'] == 'transfer' ) {
					foreach ( $domain['transfer_price'] as $ty => $tp ) {
						if ( $free_domain ) {
							$rp = 0.00;
						}
						$tld_transfer_prices[] = [
							'duration' => $ty,
							'price'    => $tp,
						];
						if ( $free_domain ) {
							whcom_add_update_cart_item( [ 'regperiod' => $ty ], $cart_index );
							break;
						}
					}
					foreach ( $tld_transfer_prices as $dur ) {
						$dur_txt = esc_html__( 'For ', "whcom" );
						$dur_txt .= $dur['duration'];
						$dur_txt .= ( $dur['duration'] == 1 ) ? esc_html__( ' Year', "whcom" ) : esc_html__( ' Years', "whcom" );
						if ( $dur['price'] < 0 ) {
							continue;
						}
						$domain_duration_text .= $dur_txt;
						$domain_price         = $dur['price'];
						break;
					}
				}
			}
			if ( ! $found_item ) {
				continue;
			}

			$cart_item          = whcom_calculate_promotion( $cart_item );
			$discounted_domain  = ( ! empty( $cart_item['domain_discount'] ) && (float) $cart_item['domain_discount']['value'] > 0.00 ) ? true : false;
			$discounted_product = ( ! empty( $cart_item['product_discount'] ) && (float) $cart_item['product_discount']['value'] > 0.00 ) ? true : false;
			?>
			<li>
				<div class="wcop_summary_item_container">
					<a href="#" class="wcop_delete_cart_item"
					   data-cart-index="<?php echo $cart_index ?>"><span class="whcom_icon_cancel"></span></a>
					<?php if ( $found_item == 'found_product' ) { ?>
						<ul class="whcom_list_padded whcom_list_stripped">
							<li>
								<div class="whcom_row">
									<div class="whcom_col_sm_7">
										<strong><?php echo $product['name']; ?></strong>
										<?php if ( ! empty( $cart_item['hostname'] ) ) { ?>
											<div class="whcom_text_small whcom_padding_0_10">
												<?php echo $cart_item['hostname']; ?>
											</div>
										<?php } ?>
									</div>
									<div class="whcom_col_sm_5 whcom_text_right">
										<div class="wcop_summary_item_price">
											<strong><?php echo whcom_format_amount( $product['all_prices'][ $cart_item['billingcycle'] ]['price'] ) ?></strong>
											<?php $item_total = $item_total + $product['all_prices'][ $cart_item['billingcycle'] ]['price']; ?>
											<?php $amounts[ $cart_item['billingcycle'] ] = (float) $amounts[ $cart_item['billingcycle'] ] + $product['all_prices'][ $cart_item['billingcycle'] ]['price']; ?>
										</div>
										<div class="">
											<?php echo whcom_convert_billingcycle( $cart_item['billingcycle'] ); ?>
										</div>
										<div class="">
											<?php echo whcom_format_amount( $product['all_prices'][ $cart_item['billingcycle'] ]['setup'] ) ?>
											<?php $item_total = $item_total + $product['all_prices'][ $cart_item['billingcycle'] ]['setup']; ?>
											<?php $setup_price = $product['all_prices'][ $cart_item['billingcycle'] ]['setup']; ?>
											<?php esc_html_e( 'Setup Fee', "whcom" ) ?>
										</div>
									</div>
								</div>
							</li>
							<?php if ( ! empty( $product_configoptions ) && is_array( $product_configoptions ) && ! empty( $product['prd_configoptions'] ) && is_array( $product['prd_configoptions'] ) ) { ?>
								<?php
								$configoption_total = $configoption_amount = 0.00;
								?>
								<li>
									<div class="whcom_row">

										<div class="whcom_col_sm_7">
											<strong><?php esc_html_e( "Config Options", "whcom" ) ?></strong>
											<div class="whcom_text_small whcom_padding_0_10">
												<?php foreach ( $product_configoptions as $option_id => $sub_option_id ) { ?>
													<?php
													$curr_option      = $product['prd_configoptions'][ $option_id ];
													$curr_option_html = $curr_option['optionname'] . ' ';
													?>
													<?php switch ( $curr_option['optiontype'] ) {
														case '1' : {
															$curr_sub_option     = $curr_option['sub_options'][ $sub_option_id ];
															$curr_option_html    .= '(' . whcom_format_amount( $curr_sub_option[ $cart_item['billingcycle'] ] ) . ' ' . $cart_item['billingcycle'] . ')';
															$configoption_amount = (float) $curr_sub_option[ $cart_item['billingcycle'] ];
															break;
														}
														case '2' : {
															$curr_sub_option     = $curr_option['sub_options'][ $sub_option_id ];
															$curr_option_html    .= '(' . whcom_format_amount( $curr_sub_option[ $cart_item['billingcycle'] ] ) . ' ' . $cart_item['billingcycle'] . ')';
															$configoption_amount = (float) $curr_sub_option[ $cart_item['billingcycle'] ];
															break;
														}
														case '3' : {
															$curr_sub_option = reset( $curr_option['sub_options'] );
															if ( $sub_option_id > 0 ) {
																$curr_option_html    .= '(' . whcom_format_amount( $curr_sub_option[ $cart_item['billingcycle'] ] ) . ' ' . $cart_item['billingcycle'] . ')';
																$configoption_amount = (float) $curr_sub_option[ $cart_item['billingcycle'] ];
															}
															break;
														}
														case '4' : {
															$curr_sub_option  = reset( $curr_option['sub_options'] );
															$curr_option_html .= '(';
															$curr_option_html .= whcom_format_amount( $curr_sub_option[ $cart_item['billingcycle'] ] ) . ' x ';
															$curr_option_html .= $sub_option_id;
															$curr_option_html .= ' ' . $cart_item['billingcycle'];
															$curr_option_html .= ')';

															$configoption_amount = (float) ( $curr_sub_option[ $cart_item['billingcycle'] ] * $sub_option_id );
															break;
														}
														default : {
															$curr_sub_option = [];
														}
													}
													$configoption_total = $configoption_total + $configoption_amount;
													?>
													<div>
														<i class="whcom_icon_angle-double-right"></i> <?php echo $curr_option_html ?>
													</div>
												<?php } ?>
											</div>
										</div>
										<div class="whcom_col_sm_5 whcom_text_right">
											<?php echo whcom_format_amount( $configoption_total ); ?>
											<?php $item_total = $item_total + $configoption_total; ?>
											<?php $amounts[ $cart_item['billingcycle'] ] = (float) $amounts[ $cart_item['billingcycle'] ] + $configoption_total; ?>
										</div>
									</div>
								</li>
							<?php } ?>
							<?php if ( ! empty( $product_addons ) && is_array( $product_addons ) && ! empty( $product['prd_addons'] ) && is_array( $product['prd_addons'] ) ) {
								$addons_total = 0.00;
								?>
								<li>
									<div class="whcom_row">
										<div class="whcom_col_sm_7">
											<strong><?php esc_html_e( "Addons", "whcom" ) ?></strong>
											<div class="whcom_text_small whcom_padding_0_10">
												<?php foreach ( $product_addons as $addon_id ) {
													$curr_addon      = $product['prd_addons'][ $addon_id ];
													$curr_addon_html = $curr_addon['name'] . ' (';
													$curr_addon_html .= whcom_format_amount( $curr_addon['monthly'] ) . ' ';
													$curr_addon_html .= $curr_addon['billingcycle'];
													$curr_addon_html .= ' + ';
													$curr_addon_html .= whcom_format_amount( $curr_addon['msetupfee'] ) . ' ';
													$curr_addon_html .= esc_html__( 'Setup Fee', 'wcap' );
													$curr_addon_html .= ')';
													$addons_total    = $addons_total + $curr_addon['monthly'] + $curr_addon['msetupfee'];
													?>
													<div>
														+ <?php echo $curr_addon_html ?>
														<?php $amounts[ strtolower( $curr_addon['billingcycle'] ) ] = (float) $amounts[ strtolower( $curr_addon['billingcycle'] ) ] + $curr_addon['monthly']; ?>
													</div>
													<?php $setup_price = (float) $setup_price + (float) $curr_addon['msetupfee']; ?>
												<?php } ?>
											</div>
										</div>
										<div class="whcom_col_sm_5 whcom_text_right">
											<?php echo whcom_format_amount( $addons_total ); ?>
											<?php $item_total = $item_total + $addons_total ?>
										</div>
									</div>
								</li>
							<?php } ?>
							<?php $item_price_dummy = $item_total - $setup_price; ?>
							<?php if ( $found_domain ) { ?>
								<li>
									<div class="wcop_summary_item_domains">
										<div class="whcom_row">
											<div class="whcom_col_sm_7">
												<strong><?php esc_html_e( 'Domain ', "whcom" ) ?><?php echo $cart_item['domaintype'] ?></strong>
												<div>
													<a href="<?php echo $cart_item['domain']; ?>"
													   target="_blank"><?php echo $cart_item['domain']; ?></a>
												</div>
												<div class="whcom_text_small whcom_padding_0_10">
													<?php if ( ! empty( $cart_item['dnsmanagement'] ) ) { ?>
														<?php
														$domain_addon_price = (float) $domain_addons['dnsmanagement'] * (float) $cart_item['regperiod'];
														$item_total         = $item_total + $domain_addon_price;
														$domain_price_dummy = $domain_price_dummy + $domain_addon_price;
														?>
														<span>
															<i class="whcom_icon_angle-double-right"></i>
															<?php esc_html_e( "DNS Management", "whcom" ) ?>
															- <?php echo whcom_format_amount( $domain_addon_price ) . ' ' . $domain_duration_text; ?>
														</span><br>
													<?php } ?>
													<?php if ( ! empty( $cart_item['emailforwarding'] ) ) { ?>
														<?php
														$domain_addon_price = (float) $domain_addons['emailforwarding'] * (float) $cart_item['regperiod'];
														$item_total         = $item_total + $domain_addon_price;
														$domain_price_dummy = $domain_price_dummy + $domain_addon_price;

														?>
														<span>
															<i class="whcom_icon_angle-double-right"></i>
															<?php esc_html_e( "Email Forwarding", "whcom" ) ?>
															- <?php echo whcom_format_amount( $domain_addon_price ) . ' ' . $domain_duration_text; ?>
														</span><br>
													<?php } ?>
													<?php if ( ! empty( $cart_item['idprotection'] ) ) { ?>
														<?php
														$domain_addon_price = (float) $domain_addons['idprotection'] * (float) $cart_item['regperiod'];
														$item_total         = $item_total + $domain_addon_price;
														$domain_price_dummy = $domain_price_dummy + $domain_addon_price;
														?>
														<span>
															<i class="whcom_icon_angle-double-right"></i>
															<?php esc_html_e( "ID Protection", "whcom" ) ?>
															- <?php echo whcom_format_amount( $domain_addon_price ) . ' ' . $domain_duration_text; ?>
														</span><br>
													<?php } ?>
												</div>
											</div>
											<div class="whcom_col_sm_5 whcom_text_right">
												<?php echo whcom_format_amount( $domain_price ) ?>
												<div>
													<?php echo $domain_duration_text; ?>
												</div>
												<?php $item_total = $item_total + (float) $domain_price; ?>
												<?php $domain_price_dummy = $domain_price_dummy + $domain_price; ?>
											</div>
										</div>
									</div>
								</li>
							<?php } ?>
						</ul>
					<?php } ?>
					<?php if ( $found_item == 'found_domain' ) { ?>
						<?php if ( $found_domain ) { ?>
							<ul class="whcom_list_padded whcom_list_stripped">
								<li>
									<div class="wcop_summary_item_domains">
										<div class="whcom_row">
											<div class="whcom_col_sm_7">
												<strong><?php esc_html_e( 'Domain ', "whcom" ) ?><?php echo $cart_item['domaintype'] ?></strong>
												<div>
													<a href="<?php echo $cart_item['domain']; ?>"
													   target="_blank"><?php echo $cart_item['domain']; ?></a>
												</div>
												<div class="whcom_text_small whcom_padding_0_10">
													<?php if ( ! empty( $cart_item['dnsmanagement'] ) ) { ?>
														<?php
														$domain_addon_price = (float) $domain_addons['dnsmanagement'] * (float) $cart_item['regperiod'];
														$item_total         = $item_total + $domain_addon_price;
														$domain_price_dummy = $domain_price_dummy + $domain_addon_price;
														?>
														<span>
															<i class="whcom_icon_angle-double-right"></i>
															<?php esc_html_e( "DNS Management", "whcom" ) ?>
															- <?php echo whcom_format_amount( $domain_addon_price ) . ' ' . $domain_duration_text; ?>
														</span><br>
													<?php } ?>
													<?php if ( ! empty( $cart_item['emailforwarding'] ) ) { ?>
														<?php
														$domain_addon_price = (float) $domain_addons['emailforwarding'] * (float) $cart_item['regperiod'];
														$item_total         = $item_total + $domain_addon_price;
														$domain_price_dummy = $domain_price_dummy + $domain_addon_price;

														?>
														<span>
															<i class="whcom_icon_angle-double-right"></i>
															<?php esc_html_e( "Email Forwarding", "whcom" ) ?>
															- <?php echo whcom_format_amount( $domain_addon_price ) . ' ' . $domain_duration_text; ?>
														</span><br>
													<?php } ?>
													<?php if ( ! empty( $cart_item['idprotection'] ) ) { ?>
														<?php
														$domain_addon_price = (float) $domain_addons['idprotection'] * (float) $cart_item['regperiod'];
														$item_total         = $item_total + $domain_addon_price;
														$domain_price_dummy = $domain_price_dummy + $domain_addon_price;
														?>
														<span>
															<i class="whcom_icon_angle-double-right"></i>
															<?php esc_html_e( "ID Protection", "whcom" ) ?>
															- <?php echo whcom_format_amount( $domain_addon_price ) . ' ' . $domain_duration_text; ?>
														</span><br>
													<?php } ?>
												</div>
											</div>
											<div class="whcom_col_sm_5 whcom_text_right">
												<?php echo whcom_format_amount( $domain_price ) ?>
												<div>
													<?php echo $domain_duration_text; ?>
												</div>
												<?php $domain_price_dummy = $domain_price_dummy + $domain_price_dummy; ?>
											</div>
										</div>
									</div>
								</li>
							</ul>
						<?php } ?>
					<?php } ?>
				</div>
			</li>
			<?php $split_totals = whcom_apply_item_discount( $item_price_dummy, $domain_price_dummy, $setup_price, $cart_item ); ?>
			<?php $item_price_dummy = $split_totals['item_price']; ?>
			<?php $domain_price_dummy = $split_totals['domain_price']; ?>
			<?php $setup_price = $split_totals['setup_price']; ?>
			<?php $total_discount = $total_discount + $split_totals['total_discount'] ?>

			<?php $item_price = $item_price_dummy + $setup_price ?>

			<?php if ( $tax_settings['TaxEnabled'] == 'on' && $product['tax'] == '1' ) { ?>
				<?php $tax_totals_product = whcom_calculate_tax( $item_price, $tax_settings ); ?>
				<?php $taxes['base_price'] = $taxes['base_price'] + $tax_totals_product['base_price']; ?>
				<?php $taxes['l1_rate'] = $tax_totals_product['l1_rate']; ?>
				<?php $taxes['l2_rate'] = $tax_totals_product['l2_rate']; ?>
				<?php $taxes['l1_amount'] = $taxes['l1_amount'] + $tax_totals_product['l1_amount']; ?>
				<?php $taxes['l2_amount'] = $taxes['l2_amount'] + $tax_totals_product['l2_amount']; ?>
				<?php $taxes['final_price'] = $taxes['final_price'] + $tax_totals_product['final_price']; ?>
			<?php }
			else { ?>
				<?php $taxes['base_price'] = $taxes['base_price'] + $item_price; ?>
				<?php $taxes['l1_rate'] = $taxes['l1_rate'] + 0.00; ?>
				<?php $taxes['l2_rate'] = $taxes['l2_rate'] + 0.00; ?>
				<?php $taxes['l1_amount'] = $taxes['l1_amount'] + 0.00; ?>
				<?php $taxes['l2_amount'] = $taxes['l2_amount'] + 0.00; ?>
				<?php $taxes['final_price'] = $taxes['final_price'] + $item_price; ?>
			<?php } ?>

			<?php if ( $tax_settings['TaxEnabled'] == 'on' && $tax_settings['TaxDomains'] == 'on' ) { ?>
				<?php $tax_totals_domain = whcom_calculate_tax( $domain_price_dummy, $tax_settings ); ?>
				<?php $taxes['base_price'] = $taxes['base_price'] + $tax_totals_domain['base_price']; ?>
				<?php $taxes['l1_rate'] = $tax_totals_domain['l1_rate']; ?>
				<?php $taxes['l2_rate'] = $tax_totals_domain['l2_rate']; ?>
				<?php $taxes['l1_amount'] = $taxes['l1_amount'] + $tax_totals_domain['l1_amount']; ?>
				<?php $taxes['l2_amount'] = $taxes['l2_amount'] + $tax_totals_domain['l2_amount']; ?>
				<?php $taxes['final_price'] = $taxes['final_price'] + $tax_totals_domain['final_price']; ?>
			<?php }
			else { ?>
				<?php $taxes['base_price'] = $taxes['base_price'] + $domain_price_dummy; ?>
				<?php $taxes['l1_rate'] = $taxes['l1_rate'] + 0.00; ?>
				<?php $taxes['l2_rate'] = $taxes['l2_rate'] + 0.00; ?>
				<?php $taxes['l1_amount'] = $taxes['l1_amount'] + 0.00; ?>
				<?php $taxes['l2_amount'] = $taxes['l2_amount'] + 0.00; ?>
				<?php $taxes['final_price'] = $taxes['final_price'] + $domain_price_dummy; ?>
			<?php } ?>
			<?php $item_total = $taxes['final_price']; ?>
			<?php $grand_total = $grand_total + $item_total; ?>
			<?php $counter ++; ?>
			<?php ob_start() ?>
			Sidebar Short Appended
			<?php $summary_html['short'] .= ob_get_clean(); ?>
		<?php } ?>
	</ul>
<?php }

if ( $counter < 1 ) { ?>
	<div class="whcom_alert whcom_alert_info">
		<?php esc_html_e( 'Your Shopping Cart is Empty', "whcom" ); ?>
	</div>
<?php } ?>



<?php ob_start() ?>
<div class="whcom_cart_summary_sidebar">
	<?php $subtotal = $taxes['base_price'] + $total_discount; ?>
	<div class="whcom_clearfix whcom_margin_bottom_10">
		<span class="whcom_pull_left"><?php esc_html_e( 'Subtotal', "whcom" ) ?></span>
		<span class="whcom_pull_right"><?php echo whcom_format_amount( $subtotal ); ?></span>
	</div>
	<?php if ( $taxes['l1_amount'] > 0 || $taxes['l2_amount'] > 0 || $total_discount > 0 ) { ?>
		<div class="whcom_padding_10_0 whcom_bordered_top_bottom">
			<?php if ( $total_discount > 0 ) { ?>
				<?php $current_discount = whcom_get_current_promo(); ?>
				<?php
				$discount_value = $current_discount['value'];
				$discount_type  = esc_html__( "One Time Discount", "wcap" );
				if ( $current_discount['recurring'] == '1' ) {
					$discount_type = esc_html__( "Recurring Discount", "wcap" );
				}

				switch ( $current_discount['type'] ) {
					case 'Free Setup' : {
						$discount_value = esc_html__( "Free Setup", "wcap" );
						break;
					}
					case 'Fixed Amount' : {
						$discount_value = whcom_format_amount( $current_discount['value'] );
						break;
					}
					case 'Price Override' : {
						$discount_value = whcom_format_amount( $current_discount['value'] ) . ' ' . esc_html__( "Price Override", "wcap" );
						break;
					}
					case 'Percentage' : {
						$discount_value = $current_discount['value'] . esc_html__( "%", "wcap" );
						break;
					}
					default : {

					}
				}


				?>
				<?php ?>
				<div class="whcom_clearfix">
					<span class="whcom_pull_left">
						<?php echo $discount_value; ?>
						<?php echo $discount_type; ?>
					</span>
					<span class="whcom_pull_right"><?php echo whcom_format_amount( $total_discount ); ?></span>
				</div>
			<?php } ?>
			<?php if ( $taxes['l1_amount'] > 0 ) { ?>

				<div class="whcom_clearfix">
					<span class="whcom_pull_left"><?php esc_html_e( "L1 Tax rule, @ ", "whcom" ) ?><?php echo $taxes['l1_rate'] ?>
						&#37;</span>
					<span class="whcom_pull_right"><?php echo whcom_format_amount( $taxes['l1_amount'] ); ?></span>
				</div>
			<?php } ?>
			<?php if ( $taxes['l2_amount'] > 0 ) { ?>

				<div class="whcom_clearfix">
			<span class="whcom_pull_left"><?php esc_html_e( "L2 Tax rule, @ ", "whcom" ) ?><?php echo $taxes['l2_rate'] ?>
				&#37;</span>
					<span class="whcom_pull_right"><?php echo whcom_format_amount( $taxes['l2_amount'] ); ?></span>
				</div>
			<?php } ?>
		</div>
	<?php } ?>
	<div class="whcom_clearfix">
		<span class="whcom_pull_left"><?php esc_html_e( 'Totals', "whcom" ) ?></span>
	</div>
	<?php foreach ( $amounts as $key => $amount ) { ?>
		<?php if ( $amount && $key != 'setup' ) { ?>
			<div class="whcom_clearfix">
				<div class="whcom_pull_right">
					<span><?php echo whcom_format_amount( $amount ); ?></span>
					<span><?php echo ucfirst( $key ) ?></span>
				</div>
			</div>
		<?php } ?>
	<?php } ?>
	<div class="whcom_clearfix">
		<div class="whcom_text_right"><strong><?php echo whcom_format_amount( $grand_total ); ?></strong></div>
		<div class="whcom_text_right"><?php esc_html_e( 'Total Due Today', "whcom" ) ?></div>
	</div>
</div>

<?php $summary_html['side'] = ob_get_clean(); ?>

<?php

$summary_html['status']      = 'OK';
$summary_html['message']     = esc_html__( 'Updating Cart Summaries', "whcom" );
$summary_html['detailed']    = ob_get_clean();
$summary_html['total_items'] = $counter;
$summary_html['grand_total'] = whcom_format_amount( $grand_total );
?>

