<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );

$product_id      = ( ! empty( $product_id ) ) ? $product_id : '0';
$billing_cycle   = ( ! empty( $billing_cycle ) ) ? $billing_cycle : '';
$pids            = ( ! empty( $pids ) ) ? $pids : '';
$gids            = ( ! empty( $gids ) ) ? $gids : '';
$domain_products = 'no';

$products = [];


$product_details = whcom_get_product_details( $product_id );

$groups = whcom_get_all_products( $gids, $pids );
$groups = ( empty( $groups['groups'] ) ) ? [] : $groups['groups'];

if ( ! empty( $groups ) && is_array( $groups ) ) {
	foreach ( $groups as $group ) {
		if ( ! empty( $group['products'] ) && is_array( $group['products'] ) ) {
			foreach ( $group['products'] as $product ) {
				if ( ($domain_products == "yes") && ($product['showdomainoptions'] != "1") ) {
					if ($product['id'] == $product_id) {
						$product_details = false;
					}
					continue;
				}
				$products[] = $product;
			}
		}
	}
} ?>


<div class="wcop_sp_section_heading">
	<i class="whcom_icon_ok-circled"></i>
	<span><?php esc_html_e( "2. Choose a Hosting Plan", "wcap" ) ?></span>
</div>
<div class="wcop_sp_section_content">
	<?php if ( ! empty( $products ) ) { ?>
		<div class="whcom_form_field whcom_form_field_horizontal">
			<label for="wcop_sp_product_select"><?php esc_html_e( "Product Type", "whcom" ) ?></label>
			<select name="pid" id="wcop_sp_product_select" class="wcop_input">
				<?php foreach ( $products as $product ) {
					if ( !$product_details ) {
						$product_id = $product['id'];
						$product_details = whcom_get_product_details( $product_id );
					}
					?>
					<option value="<?php echo $product['id']; ?>" <?php echo ( $product_id == $product['id'] ) ? 'selected' : ''; ?>>
						<?php echo $product['name']; ?>
					</option>
				<?php } ?>
			</select>
		</div>

		<?php

		if ( ( empty( $billing_cycle ) ) && ( ! empty( $product_details['lowest_price'] ) ) ) {
			reset( $product_details['lowest_price'] );
			$billing_cycle = key( $product_details['lowest_price'] );
		}
		$free_domain_billingcycles = [];
		if ( ! empty ( $product_details['freedomainpaymentterms'] ) ) {
			$free_domain_billingcycles = explode( ',', $product_details['freedomainpaymentterms'] );
		} ?>
		<div class="wcop_sp_prod_billingcycle">
			<?php if ( $product_details['paytype'] == 'recurring' ) { ?>
				<div class="wcop_sp_product_billingcycle whcom_form_field whcom_form_field_horizontal">
					<?php $all_prices = $product_details['all_prices']; ?>
					<?php
					$billing_cycle_class = 'wcop_form_control wcop_input';
					if ( ! empty( $product_details['prd_configoptions'] ) ) {
						$billing_cycle_class .= ' wcop_update_product_options';
					}
					?>
					<label for="wcop_sp_product_billingcycle" class="main_label">
                        <?php echo esc_html__( 'Choose Billing Cycle', "whcom" ) . ": "?></label>
					<select id="wcop_sp_product_billingcycle" name="billingcycle" class="<?php echo $billing_cycle_class ?> wcop_input">
						<?php $current = '';
						foreach ( $all_prices as $key => $price ) {
							( $billing_cycle == $key ) ? $current = 'selected' : $current = '';
							$option_string = '<option value="' . $key . '" ' . $current . '>';
							$option_string .= whcom_format_amount( [ 'amount' => $price['price'] ] ) . ' ' . whcom_convert_billingcycle($key) . ' + ' . whcom_format_amount( [ 'amount' => $price['setup'] ] ) . ' ' . esc_html__( 'Setup Fee', "whcom" );
							if ( in_array( $key, $free_domain_billingcycles ) ) {
								$option_string .= ' (' . esc_html__( 'Free Domain', "whcom" ) . ') ';
							}
							$option_string .= '</option>';
							echo $option_string;
						}
						?>
					</select>
				</div>
			<?php } ?>
			<?php if ( $product_details['paytype'] == 'free' ) { ?>
				<input type="hidden" name="billingcycle" value="<?php echo $billing_cycle ?>">
			<?php } ?>
			<?php if ( $product_details['paytype'] == 'onetime' ) { ?>
				<input type="hidden" name="billingcycle" value="<?php echo $billing_cycle ?>">
			<?php } ?>
			<div class="wcop_sp_free_tlds_info">
				<?php if ( ! empty( $product_details['freedomainpaymentterms'] ) && ! empty( $product_details['freedomaintlds'] ) ) { ?>
					<div class="whcom_alert whcom_alert_info">
						<div>
							<?php esc_html_e( 'Free Domain is only available for following TLD\'s', "whcom" ) ?>
						</div>
						<div><strong><?php echo $product_details['freedomaintlds']; ?></strong>
						</div>
					</div>
					<div class="whcom_alert whcom_alert_info">
						<div>
							<?php esc_html_e( 'Free Domain is only available for following billingcycles...', "whcom" ) ?>
						</div>
						<div>
							<strong><?php echo $product_details['freedomainpaymentterms']; ?></strong>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
	<?php } ?>
</div>