<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );

?>

<?php if ( ! empty( $product_id ) && ! empty( $product_details ) && ! empty( $billing_cycle ) ) { ?>
	<div class="wcop_sp_section_heading">
		<i class="whcom_icon_cog"></i>
		<span><?php esc_html_e( " 3. Add Additional Services and Order Configuration", "wcap" ) ?></span>
		<span class="whcom_icon_spinner-1 whcom_animate_spin wcop_sp_product_options_spinner" style="display: none"></span>
	</div>
	<div class="wcop_sp_section_content">
		<div class="wcop_sp_product_options_container">
			<div class="wcop_sp_server_options_container wcop_sp_product_config_block">
				<?php if ( $product_details['type'] == 'server' ) { ?>
					<?php echo whcom_render_server_specific_fields(); ?>
				<?php } ?>
			</div>
			<div class="wcop_sp_config_options_container wcop_sp_product_config_block">
				<?php if ( ! empty( $product_details['prd_configoptions'] ) ) { ?>
					<?php echo whcom_render_product_config_options( $product_details, - 1, $billing_cycle ) ?>
				<?php } ?>
			</div>
			<div class="wcop_sp_custom_options_container wcop_sp_product_config_block">
				<?php if ( ! empty( $product_details['custom_fields'] ) && is_array( $product_details['custom_fields'] ) ) { ?>
					<div class="whcom_collapse active">
						<div data-collapse="whcom_sp_custom_options" class="whcom_collapse_toggle">
							<span><?php esc_html_e( 'Additional Required Information', "whcom" ) ?></span>
						</div>
						<div id="whcom_sp_custom_options" class="whcom_collapse_content">
							<?php echo whcom_render_product_custom_fields( $product_details ); ?>
						</div>
					</div>
				<?php } ?>
			</div>
			<div class="wcop_sp_addons_options_container wcop_sp_product_config_block">
				<?php if ( ! empty( $product_details['prd_addons'] ) && is_array( $product_details['prd_addons'] ) ) { ?>
					<div class="whcom_collapse active">
						<div data-collapse="whcom_sp_addons_options" class="whcom_collapse_toggle">
							<span><?php esc_html_e( 'Available Addons', "whcom" ) ?></span>
						</div>
						<div id="whcom_sp_addons_options" class="whcom_collapse_content">
							<?php echo whcom_render_product_addons( $product_details ); ?>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
		<div class="wcop_sp_domain_options_container wcop_sp_product_config_block">
			<div class="wcop_sp_product_domain_config_container">
			</div>
			<div class="wcop_sp_free_tlds_info" style="display: none;">
				<?php if ( ! empty( $product_details['freedomainpaymentterms'] ) && ! empty( $product_details['freedomaintlds'] ) ) { ?>
					<div class="whcom_alert whcom_alert_info">
						<div>
							<?php esc_html_e( 'Free Domain is only available for following TLD\'s', "whcom" ) ?>
						</div>
						<div><strong><?php echo $product_details['freedomaintlds']; ?></strong>
						</div>
					</div>
					<div class="whcom_alert whcom_alert_info">
						<div>
							<?php esc_html_e( 'Free Domain is only available for following billingcycles...', "whcom" ) ?>
						</div>
						<div>
							<strong><?php echo $product_details['freedomainpaymentterms']; ?></strong>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
		<div class="wcop_sp_product_no_options" style="display: none">
			<?php esc_html_e( "No configuration options available", "whcom" ) ?>
		</div>
	</div>
<?php } ?>