<?php defined( 'ABSPATH' ) or die( "Cannot access pages directly." );
$payment_gateways = whcom_get_payment_gateways()['payment_gateways'];
$currencies       = whcom_get_all_currencies();
global $countries;
$merchant_gateway = ( wcop_use_merchant_gateway() && get_option( 'merchant_gateway_key', '' ) != '' ) ? (string) get_option( 'merchant_gateway_key' ) : false;

?>

<?php ob_start();

$checked       = 'checked';
$show_cc       = 'none';
$checked_class = 'whcom_checked';
$selected_gateway = '';
?>
<div class="whcom_form_field whcom_form_field_horizontal">
	<label><?php esc_html_e( "Payment Gateway", "whcom" ) ?></label>
	<div class="whcom_radio_container">

		<?php foreach ( $payment_gateways as $payment_gateway ) { ?>
			<label class="whcom_radio <?php echo $checked_class; ?>">
				<input type="radio"
				       name="paymentmethod"
				       class="whcom_sp_cc_switcher"
				       value="<?php echo $payment_gateway['module'] ?>" <?php echo $checked; ?>
				       data-merchent-gateway="<?php echo $merchant_gateway; ?>">
				<?php echo $payment_gateway['displayname']; ?>
			</label>
			<?php if ($checked == 'checked'){
				$selected_gateway = (string)$payment_gateway['module'];
			}?>
			<?php $checked = $checked_class = ''; ?>
		<?php } ?>
	</div>
</div>

<?php

$show_cc = ( ( $merchant_gateway ) && ( $selected_gateway == $merchant_gateway ) ) ? 'block' : 'none';
?>



<?php if ( $merchant_gateway ) { ?>
	<div class="whcom_sp_cc_fields" style="display: <?php echo $show_cc; ?>;">
		<?php echo whcom_render_cc_form(); ?>
	</div>
<?php } ?>


<?php $payment_selection = ob_get_clean(); ?>

<?php if ( whcom_is_client_logged_in() ) { ?>
	<?php $cur_client = whcom_get_current_client(); ?>
	<div class="wcop_sp_section_heading">
		<i class="whcom_icon_user-3"></i>
		<span><?php esc_html_e( " 4. Billing Info", "wcap" ) ?></span>
	</div>
	<div class="wcop_sp_section_content">
		<div class="whcom_row whcom_row_no_gap">
			<div class="whcom_col_sm_6">
				<!-- First Name -->
				<div class="whcom_form_field">
					<label for="firstname"><?php esc_html_e( 'First Name', "whcom" ) ?></label>
					<input type="text"
					       id="firstname"

					       value="<?php echo $cur_client['firstname']; ?>"
					       disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_6">
				<!-- Last Name -->
				<div class="whcom_form_field">
					<label for="lastname"><?php esc_html_e( 'Last Name', "whcom" ) ?></label>
					<input type="text" id="lastname" value="<?php echo $cur_client['lastname']; ?>" disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_6">
				<!-- Email -->
				<div class="whcom_form_field">
					<label for="email"><?php esc_html_e( 'Email Address', "whcom" ) ?></label>
					<input type="email" id="email" value="<?php echo $cur_client['email']; ?>" disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_6">
				<!-- Phone Number -->
				<div class="whcom_form_field">
					<label for="phonenumber"><?php esc_html_e( 'Phone Number', "whcom" ) ?></label>
					<input type="tel"
					       id="phonenumber"
					       value="<?php echo $cur_client['phonenumber']; ?>"
					       disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_6">
				<!-- Company -->
				<div class="whcom_form_field">
					<label for="companyname"><?php esc_html_e( 'Company Name', "whcom" ) ?></label>
					<input type="text"
					       id="companyname"
					       value="<?php echo $cur_client['companyname']; ?>"
					       disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_6">
				<!-- Address -->
				<div class="whcom_form_field">
					<label for="address1"><?php esc_html_e( 'Address Line 1', "whcom" ) ?></label>
					<input type="text" id="address1" value="<?php echo $cur_client['address1']; ?>" disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_6">
				<!-- Address Line 2-->
				<div class="whcom_form_field">
					<label for="address2"><?php esc_html_e( 'Address Line 2', "whcom" ) ?></label>
					<input type="text" id="address2" value="<?php echo $cur_client['address2']; ?>" disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_6">
				<!-- Country -->
				<div class="whcom_form_field">
					<label for="country"><?php esc_html_e( 'Country', "whcom" ) ?></label>
					<input type="text"
					       id="country"
					       value="<?php echo $countries[ $cur_client['country'] ]; ?>"
					       disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_4">
				<!-- State -->
				<div class="whcom_form_field">
					<label for="state"><?php esc_html_e( 'State', "whcom" ) ?></label>
					<input type="text" id="state" value="<?php echo $cur_client['state']; ?>" disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_4">
				<!-- City -->
				<div class="whcom_form_field">
					<label for="city"><?php esc_html_e( 'City', "whcom" ) ?></label>
					<input type="text" id="city" value="<?php echo $cur_client['city']; ?>" disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_4">
				<!-- Post Code -->
				<div class="whcom_form_field">
					<label for="postcode"><?php esc_html_e( 'Post Code', "whcom" ) ?></label>
					<input type="text" id="postcode" value="<?php echo $cur_client['postcode']; ?>" disabled="disabled">
				</div>
			</div>
			<div class="whcom_col_sm_12">
				<?php echo $payment_selection; ?>
			</div>
		</div>
	</div>
<?php }
else { ?>
	<div class="wcop_sp_section_heading">
		<i class="whcom_icon_assistive-listening-systems"></i>
		<span><?php esc_html_e( " 4. Enter Your Billing Info", "wcap" ) ?></span>
	</div>
	<div class="wcop_sp_section_content">
		<div class="whcom_tabs_container">
			<ul class="whcom_tab_links whcom_text_center">
				<li data-tab="register_account" class="active whcom_tab_link wcop_sp_client_type_switch">
					<label for="wcop_sp_client_type_register">
						<?php esc_html_e( 'Register New Account', "whcom" ) ?>
					</label>
				</li>
				<li data-tab="user_login" class="whcom_tab_link wcop_sp_client_type_switch">
					<label for="wcop_sp_client_type_login">
						<?php esc_html_e( 'Already Registered?', "whcom" ) ?>
					</label>
				</li>
			</ul>
			<div class="whcom_tabs_content active" id="register_account">
				<input type="hidden" name="currency" value="<?php echo whcom_get_current_currency_id(); ?>">
				<div class="whcom_row whcom_row_no_gap">
					<div class="whcom_col_sm_6">
						<!-- First Name -->
						<div class="whcom_form_field">
							<label for="firstname"><?php esc_html_e( 'First Name', "whcom" ) ?></label>
							<input type="text"
							       name="firstname"
							       id="firstname"

							       placeholder="<?php esc_html_e( 'First Name', "whcom" ) ?>"
							       title="<?php esc_html_e( 'First Name', "whcom" ) ?>">
						</div>
					</div>
					<div class="whcom_col_sm_6">
						<!-- Last Name -->
						<div class="whcom_form_field">
							<label for="lastname"><?php esc_html_e( 'Last Name', "whcom" ) ?></label>
							<input type="text"
							       name="lastname"
							       id="lastname"

							       placeholder="<?php esc_html_e( 'Last Name', "whcom" ) ?>"
							       title="<?php esc_html_e( 'Last Name', "whcom" ) ?>">
						</div>
					</div>
					<div class="whcom_col_sm_6">
						<!-- Email -->
						<div class="whcom_form_field">
							<label for="email"><?php esc_html_e( 'Email Address', "whcom" ) ?></label>
							<input type="email"
							       name="email"
							       id="email"

							       placeholder="<?php esc_html_e( 'Email Address', "whcom" ) ?>"
							       title="<?php esc_html_e( 'Email Address', "whcom" ) ?>">
						</div>
					</div>
					<div class="whcom_col_sm_6">
						<!-- Phone Number -->
						<div class="whcom_form_field">
							<label for="phonenumber"><?php esc_html_e( 'Phone Number', "whcom" ) ?></label>
							<input type="tel"
							       name="phonenumber"
							       id="phonenumber"
							       value=""
							       placeholder="<?php esc_html_e( 'Phone Number', "whcom" ) ?>"
							       title="<?php esc_html_e( 'Phone Number', "whcom" ) ?>">
						</div>
					</div>
					<div class="whcom_col_sm_6">
						<!-- Company -->
						<div class="whcom_form_field">
							<label for="companyname"><?php esc_html_e( 'Company Name', "whcom" ) ?></label>
							<input type="text"
							       name="companyname"
							       id="companyname"
							       placeholder="<?php esc_html_e( 'Company Name', "whcom" ) ?>"
							       title="<?php esc_html_e( 'Company Name', "whcom" ) ?>">
						</div>
					</div>
					<div class="whcom_col_sm_6">
						<!-- Address -->
						<div class="whcom_form_field">
							<label for="address1"><?php esc_html_e( 'Address Line 1', "whcom" ) ?></label>
							<input type="text"
							       name="address1"
							       id="address1"
							       placeholder="<?php esc_html_e( 'Address Line 1', "whcom" ) ?>"
							       title="<?php esc_html_e( 'Address Line 1', "whcom" ) ?>">
						</div>
					</div>
					<div class="whcom_col_sm_6">
						<!-- Address Line 2-->
						<div class="whcom_form_field">
							<label for="address2"><?php esc_html_e( 'Address Line 2', "whcom" ) ?></label>
							<input type="text"
							       name="address2"
							       id="address2"
							       placeholder="<?php esc_html_e( 'Address Line 2', "whcom" ) ?>"
							       title="<?php esc_html_e( 'Address Line 2', "whcom" ) ?>">
						</div>
					</div>
					<div class="whcom_col_sm_6">
						<!-- Country -->
						<div class="whcom_form_field">
							<label for="country"><?php esc_html_e( 'Country', "whcom" ) ?></label>
							<select id="country" name="country" title="<?php esc_html_e( 'Country', "whcom" ) ?>">
								<?php
								foreach ( $countries as $code => $country ) {
									$selected = ( $code == 'US' ) ? 'selected="selected"' : '';
									echo '<option value="' . $code . '" ' . $selected . '>' . $country . '</option>';
								}
								?>
							</select>
						</div>
					</div>
					<div class="whcom_col_sm_4">
						<!-- State -->
						<div class="whcom_form_field">
							<label for="stateselect"><?php esc_html_e( 'State/Region', "whcom" ) ?></label>
							<input type="text"
							       id="stateinput"
							       value=""
							       style="display: none;"
							       placeholder="<?php esc_html_e( 'State/Region', "whcom" ) ?>"
							       title="<?php esc_html_e( 'State/Region', "whcom" ) ?>">
							<select name="state" id="stateselect" title="<?php esc_html_e( 'State/Region', "whcom" ) ?>">
								<option value="">—</option>
							</select>
						</div>
					</div>
					<div class="whcom_col_sm_4">
						<!-- City -->
						<div class="whcom_form_field">
							<label for="city"><?php esc_html_e( 'City', "whcom" ) ?></label>
							<input type="text"
							       name="city"
							       id="city"
							       placeholder="<?php esc_html_e( 'City', "whcom" ) ?>"
							       title="<?php esc_html_e( 'City', "whcom" ) ?>">
						</div>
					</div>
					<div class="whcom_col_sm_4">
						<!-- Post Code -->
						<div class="whcom_form_field">
							<label for="postcode"><?php esc_html_e( 'Zip Code', "whcom" ) ?></label>
							<input type="text"
							       name="postcode"
							       id="postcode"
							       placeholder="<?php esc_html_e( 'Zip Code', "whcom" ) ?>"
							       title="<?php esc_html_e( 'Zip Code', "whcom" ) ?>">
						</div>
					</div>
				</div>
				<?php $custom_fields = whcom_get_client_custom_fields() ?>
				<?php if ( ! empty( $custom_fields ) && is_array( $custom_fields ) ) { ?>
					<div class="whcom_row whcom_row_no_gap">

						<?php foreach ( $custom_fields as $i => $custom_field ) { ?>
							<div class="whcom_col_sm_6">
								<div class="whcom_form_field">
									<?php
									$required = ( $custom_field['required'] == 'on' ) ? '' : '';
									switch ( $custom_field['fieldtype'] ) {
										case 'dropdown': {
											// Case 1 represents <select> element
											$field_options = explode( ',', $custom_field['fieldoptions'] );
											echo '<label class="main_label" for="custom_field_[' . $custom_field['id'] . ']">' . $custom_field['fieldname'] . ':</label>';
											echo '<select class="" name="client_customfields[' . $custom_field['id'] . ']" id="custom_field_[' . $custom_field['id'] . ']" ' . $required . '>';
											foreach ( $field_options as $opt ) {
												echo '<option value="' . $opt . '">' . $opt . '</option>';
											}
											echo '</select>';
											break;
										}
										case 'tickbox': {
											// case 2 represents <input type="checkbox">
											echo '<label class="main_label" for="custom_field_[' . $custom_field['id'] . ']">' . $custom_field['fieldname'] . ':</label>';
											echo '<div class="whcom_checkbox_container">';
											echo '<label class="whcom_checkbox" for="custom_field_[' . $custom_field['id'] . ']">';
											echo '<input type="checkbox" class="" name="client_customfields[' . $custom_field['id'] . ']" id="custom_field_[' . $custom_field['id'] . ']" ' . $required . '>';
											echo $custom_field['fieldname'] . ':</label>';
											echo '</div>';
											break;
										}
										case 'password': {
											echo '<label class="main_label" for="custom_field_[' . $custom_field['id'] . ']">' . $custom_field['fieldname'] . ':</label>';
											echo '<input type="password" class="" name="client_customfields[' . $custom_field['id'] . ']" id="custom_field_[' . $custom_field['id'] . ']" ' . $required . '>';
											break;
										}
										case 'text': {
											// case 2 represents <input type="number">
											echo '<label class="main_label" for="custom_field_[' . $custom_field['id'] . ']">' . $custom_field['fieldname'] . ':</label>';
											echo '<input type="text" class="" name="client_customfields[' . $custom_field['id'] . ']" id="custom_field_[' . $custom_field['id'] . ']" ' . $required . '>';
											break;
										}
										case 'link': {
											// case 2 represents <input type="number">
											echo '<label class="main_label" for="custom_field_[' . $custom_field['id'] . ']">' . $custom_field['fieldname'] . ':</label>';
											echo '<input type="url" class="" name="client_customfields[' . $custom_field['id'] . ']" id="custom_field_[' . $custom_field['id'] . ']" ' . $required . '>';
											break;
										}
										case 'textarea': {
											// case 2 represents <input type="number">
											echo '<label class="main_label" for="custom_field_[' . $custom_field['id'] . ']">' . $custom_field['fieldname'] . ':</label>';
											echo '<textarea class="" name="client_customfields[' . $custom_field['id'] . ']" id="custom_field_[' . $custom_field['id'] . ']" ' . $required . '></textarea>';
											break;
										}
										default : {
										}
									}

									?>
								</div>
							</div>
						<?php } ?>
					</div>
				<?php } ?>
				<div class="whcom_row whcom_row_no_gap">
					<div class="whcom_col_sm_6">
						<div id="newPassword1" class="whcom_form_field">
							<label for="inputNewPassword1"><?php esc_html_e( 'Password', "whcom" ) ?></label>
							<input type="password"
							       id="inputNewPassword1"
							       name="password"
							       autocomplete="off"
							       placeholder="<?php esc_html_e( 'Password', "whcom" ) ?>"
							       title="<?php esc_html_e( 'Password', "whcom" ) ?>">
							<label class="whcom_checkbox_container">
								<div class="progress" id="passwordStrengthBar">
									<div class="progress-bar" role="progressbar" style="width: 0;">
										<span class="sr-only">New Password Rating: 0%</span>
									</div>
								</div>
							</label>
						</div>
					</div>
					<div class="whcom_col_sm_6">
						<div id="newPassword2" class="whcom_form_field">
							<label for="inputNewPassword2"><?php esc_html_e( 'Confirm Password', "whcom" ) ?></label>
							<input type="password"
							       id="inputNewPassword2"
							       name="password2"
							       autocomplete="off"

							       placeholder="<?php esc_html_e( 'Confirm Password', "whcom" ) ?>"
							       title="<?php esc_html_e( 'Confirm Password', "whcom" ) ?>">
							<div class="whcom_clearfix"></div>
							<div id="inputNewPassword2Msg"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="whcom_tabs_content wcop_login_form" id="user_login">
				<div class="whcom_form_field whcom_form_field_horizontal">
					<label for="wcop_login_user"
					       class="main_label"><?php esc_html_e( 'Email', "whcom" ) ?></label>
					<input type="email" name="login_email" id="wcop_login_email"
					       placeholder="<?php esc_html_e( 'Email', "whcom" ) ?>">
				</div>
				<div class="whcom_form_field whcom_form_field_horizontal">
					<label for="wcop_login_pass"
					       class="main_label"><?php esc_html_e( 'Password', "whcom" ) ?></label>
					<input type="password" name="login_pass" id="wcop_login_pass"
					       placeholder="<?php esc_html_e( 'Password', "whcom" ) ?>">
				</div>
			</div>
		</div>
		<?php echo $payment_selection; ?>
	</div>
	<input type="hidden" name="wcop_sp_client_type" value="register" id="wcop_sp_client_type_login">
<?php } ?>
